/* USER CODE BEGIN Header */
/**
  ******************************************************************************
  * @file           : main.h
  * @brief          : Header for main.c file.
  *                   This file contains the common defines of the application.
  ******************************************************************************
  * @attention
  *
  * Copyright (c) 2022 STMicroelectronics.
  * All rights reserved.
  *
  * This software is licensed under terms that can be found in the LICENSE file
  * in the root directory of this software component.
  * If no LICENSE file comes with this software, it is provided AS-IS.
  *
  ******************************************************************************
  */
/* USER CODE END Header */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H

#ifdef __cplusplus
extern "C" {
#endif

/* Includes ------------------------------------------------------------------*/
#include "stm32h7xx_hal.h"

/* Private includes ----------------------------------------------------------*/
/* USER CODE BEGIN Includes */
#include "../../Drivers/Maximatecc/inc/is42s16100h.h"

/* USER CODE END Includes */

/* Exported types ------------------------------------------------------------*/
/* USER CODE BEGIN ET */

/* USER CODE END ET */

/* Exported constants --------------------------------------------------------*/
/* USER CODE BEGIN EC */

/* USER CODE END EC */

/* Exported macro ------------------------------------------------------------*/
/* USER CODE BEGIN EM */

/* USER CODE END EM */

void HAL_TIM_MspPostInit(TIM_HandleTypeDef *htim);

/* Exported functions prototypes ---------------------------------------------*/
void Error_Handler(void);

/* USER CODE BEGIN EFP */

/* USER CODE END EFP */

/* Private defines -----------------------------------------------------------*/
#define DISP_EN_Pin GPIO_PIN_3
#define DISP_EN_GPIO_Port GPIOE
#define WL_STB_Pin GPIO_PIN_1
#define WL_STB_GPIO_Port GPIOG
#define Key_1_Pin GPIO_PIN_12
#define Key_1_GPIO_Port GPIOC
#define Key_1_EXTI_IRQn EXTI15_10_IRQn
#define Key_2_Pin GPIO_PIN_2
#define Key_2_GPIO_Port GPIOD
#define Key_2_EXTI_IRQn EXTI2_IRQn
#define Key_3_Pin GPIO_PIN_4
#define Key_3_GPIO_Port GPIOD
#define Key_3_EXTI_IRQn EXTI4_IRQn
#define Key_4_Pin GPIO_PIN_5
#define Key_4_GPIO_Port GPIOD
#define Key_4_EXTI_IRQn EXTI9_5_IRQn
#define PWRDWN_Pin GPIO_PIN_7
#define PWRDWN_GPIO_Port GPIOD
/* USER CODE BEGIN Private defines */

/* USER CODE END Private defines */

#ifdef __cplusplus
}
#endif

#endif /* __MAIN_H */
