#ifndef ALARMBSCRVIEW_HPP
#define ALARMBSCRVIEW_HPP

#include <gui_generated/alarmbscr_screen/ALARMBSCRViewBase.hpp>
#include <gui/alarmbscr_screen/ALARMBSCRPresenter.hpp>
#include "../../../../Core/Maximatecc/user_modify_files/User_Define.h"

class ALARMBSCRView : public ALARMBSCRViewBase
{
public:
    ALARMBSCRView();
    virtual ~ALARMBSCRView() {}
    virtual void setupScreen();
    virtual void tearDownScreen();
    virtual void keyUpdate(uint8_t val);
    virtual void watchdogstatus(uint8_t *val);

    virtual void trigger();

    virtual void alarmupdate(uint8_t val);
        void moveNext();
        void movePrevious();
        void moveNextScreen();
        void moveBackScreen();
protected:
    uint8_t bhours;
    uint8_t bminutes;
    uint8_t bseconds;
    uint8_t bwkdays;
    uint8_t bres;
    uint32_t key_position;
	uint8_t bformat;
	uint8_t almbformat;
	uint8_t alarm_status;
    int tickCounter;
    int digitalHours;
    int digitalMinutes;
    int digitalSeconds;
};

#endif // ALARMBSCRVIEW_HPP
