#ifndef CAN2VIEW_HPP
#define CAN2VIEW_HPP

#include <gui_generated/can2_screen/CAN2ViewBase.hpp>
#include <gui/can2_screen/CAN2Presenter.hpp>

class CAN2View : public CAN2ViewBase
{
public:
    CAN2View();
    virtual ~CAN2View() {}
    virtual void setupScreen();
    virtual void tearDownScreen();
    virtual void keyUpdate(uint8_t val);
    virtual void trigger();
    virtual void watchdogstatus(uint8_t *val);

        void moveNext();
        void movePrevious();
        void moveNextScreen();
        void moveBackScreen();
protected:
        uint32_t key_position;
        uint32_t can0_key_pos;
};

#endif // CAN2VIEW_HPP
