#ifndef CANVIEW_HPP
#define CANVIEW_HPP

#include <gui_generated/can_screen/CANViewBase.hpp>
#include <gui/can_screen/CANPresenter.hpp>

class CANView : public CANViewBase
{
public:
    CANView();
    virtual ~CANView() {}
    virtual void setupScreen();
    virtual void tearDownScreen();
    virtual void keyUpdate(uint8_t val);
    virtual void trigger();
    virtual void watchdogstatus(uint8_t *val);

        void moveNext();
        void movePrevious();
        void moveNextScreen();
        void moveBackScreen();
protected:
        uint32_t key_position;
        uint8_t can1_key_pos;
};

#endif // CANVIEW_HPP
