#ifndef DATEVIEW_HPP
#define DATEVIEW_HPP

#include <gui_generated/date_screen/DATEViewBase.hpp>
#include <gui/date_screen/DATEPresenter.hpp>

class DATEView : public DATEViewBase
{
public:
    DATEView();
    virtual ~DATEView() {}
    virtual void setupScreen();
    virtual void tearDownScreen();
    virtual void keyUpdate(uint8_t val);
    virtual void trigger();
    virtual void watchdogstatus(uint8_t *val);

       void moveNext();
       void movePrevious();
       void moveNextScreen();
       void moveBackScreen();
protected:
       uint8_t wkdays;
       uint8_t date;
       uint8_t month;
       uint8_t year;
       uint32_t key_position;
       uint8_t rtcval;
       uint8_t res;
       uint8_t hours;
       uint8_t minutes;
       uint8_t seconds;
       uint8_t format;
};

#endif // DATEVIEW_HPP
