#ifndef DOUTVIEW_HPP
#define DOUTVIEW_HPP

#include <gui_generated/dout_screen/DOutViewBase.hpp>
#include <gui/dout_screen/DOutPresenter.hpp>
#include "../../../../Core/Maximatecc/user_modify_files/User_Define.h"

class DOutView : public DOutViewBase
{
public:
    DOutView();
    virtual ~DOutView() {}
    virtual void setupScreen();
    virtual void tearDownScreen();
    virtual void keyUpdate(uint8_t val);
    virtual void watchdogstatus(uint8_t *val);

    virtual void trigger();

    void moveNext();
    void movePrevious();
    void moveEnter();
    void moveBackScreen();

protected:
    uint32_t key_position;
    uint8_t state;
};

#endif // DOUTVIEW_HPP
