#ifndef LTSVIEW_HPP
#define LTSVIEW_HPP

#include <gui_generated/lts_screen/LTSViewBase.hpp>
#include <gui/lts_screen/LTSPresenter.hpp>
#include "../../../../Core/Maximatecc/user_modify_files/User_Define.h"

class LTSView : public LTSViewBase
{
public:
    LTSView();
    virtual ~LTSView() {}
    virtual void setupScreen();
    virtual void tearDownScreen();
    virtual void keyUpdate(uint8_t val);
    virtual void trigger();
    virtual void watchdogstatus(uint8_t *val);


    void moveNext();
    void movePrevious();
    void moveEnter();
    void moveBackScreen();
protected:
    uint32_t key_position;
    uint8_t state;
    uint8_t mode;
    uint8_t refresh_val;
    uint8_t brightness_value;
};

#endif // LTSVIEW_HPP
