#ifndef MODELLISTENER_HPP
#define MODELLISTENER_HPP
#include <touchgfx/hal/Types.hpp>
#include <gui/model/Model.hpp>

class ModelListener
{
public:
    ModelListener() : model(0) {}
    
    virtual ~ModelListener() {}
   virtual void keyUpdate(uint8_t val){}
   virtual void watchdogstatus(uint8_t *val){}
   virtual void alarmupdate(uint8_t val){}
   virtual void trigger(){}

    void bind(Model* m)
    {
        model = m;
    }
protected:
    Model* model;
};

#endif // MODELLISTENER_HPP
