#ifndef POWERMODEVIEW_HPP
#define POWERMODEVIEW_HPP

#include <gui_generated/powermode_screen/POWERMODEViewBase.hpp>
#include <gui/powermode_screen/POWERMODEPresenter.hpp>

class POWERMODEView : public POWERMODEViewBase
{
public:
    POWERMODEView();
    virtual ~POWERMODEView() {}
    virtual void setupScreen();
    virtual void tearDownScreen();
    virtual void keyUpdate(uint8_t val);
    virtual void trigger();
    virtual void watchdogstatus(uint8_t *val);


    void moveNext();
    void movePrevious();
    void moveEnter();
    void moveBackScreen();
protected:
    uint32_t key_position;
    uint8_t pm_state;
};

#endif // POWERMODEVIEW_HPP
