#ifndef RTCSCRVIEW_HPP
#define RTCSCRVIEW_HPP

#include <gui_generated/rtcscr_screen/RTCSCRViewBase.hpp>
#include <gui/rtcscr_screen/RTCSCRPresenter.hpp>
#include "../../../../Core/Maximatecc/user_modify_files/User_Define.h"

class RTCSCRView : public RTCSCRViewBase
{
public:
    RTCSCRView();
    virtual ~RTCSCRView() {}
    virtual void setupScreen();
    virtual void tearDownScreen();
    virtual void keyUpdate(uint8_t val);
    virtual void trigger();
    virtual void watchdogstatus(uint8_t *val);

        void moveNext();
        void movePrevious();
        void moveNextScreen();
        void moveBackScreen();
protected:
    uint8_t hours;
    uint8_t minutes;
    uint8_t seconds;
    uint8_t wkdays;
    uint8_t date;
    uint8_t month;
    uint8_t year;
    uint32_t key_position;
    uint8_t rtcval;
    uint8_t res;
    uint8_t format;
    uint8_t rtcformat;
    uint8_t rtc_refresh_val;
    int tickCounter;
    int digitalHours;
    int digitalMinutes;
    int digitalSeconds;
};

#endif // RTCSCRVIEW_HPP
