#ifndef SWTIMER2VIEW_HPP
#define SWTIMER2VIEW_HPP

#include <gui_generated/swtimer2_screen/SWTIMER2ViewBase.hpp>
#include <gui/swtimer2_screen/SWTIMER2Presenter.hpp>

class SWTIMER2View : public SWTIMER2ViewBase
{
public:
    SWTIMER2View();
    virtual ~SWTIMER2View() {}
    virtual void setupScreen();
    virtual void tearDownScreen();
    virtual void keyUpdate(uint8_t val);
    virtual void trigger();
    virtual void watchdogstatus(uint8_t *val);

        void moveNext();
        void movePrevious();
        void moveNextScreen();
        void moveBackScreen();
protected:
        uint32_t key_position;
        uint32_t timeout;
        uint8_t shot;
        uint8_t state;
};

#endif // SWTIMER2VIEW_HPP
