#ifndef SWTIMER4VIEW_HPP
#define SWTIMER4VIEW_HPP

#include <gui_generated/swtimer4_screen/SWTIMER4ViewBase.hpp>
#include <gui/swtimer4_screen/SWTIMER4Presenter.hpp>

class SWTIMER4View : public SWTIMER4ViewBase
{
public:
    SWTIMER4View();
    virtual ~SWTIMER4View() {}
    virtual void setupScreen();
    virtual void tearDownScreen();
    virtual void keyUpdate(uint8_t val);
    virtual void trigger();
    virtual void watchdogstatus(uint8_t *val);

        void moveNext();
        void movePrevious();
        void moveNextScreen();
        void moveBackScreen();
protected:
        uint32_t key_position;
        uint32_t timeout;
        uint8_t shot;
        uint8_t state;
};

#endif // SWTIMER4VIEW_HPP
