#ifndef SWTIMER5VIEW_HPP
#define SWTIMER5VIEW_HPP

#include <gui_generated/swtimer5_screen/SWTIMER5ViewBase.hpp>
#include <gui/swtimer5_screen/SWTIMER5Presenter.hpp>

class SWTIMER5View : public SWTIMER5ViewBase
{
public:
    SWTIMER5View();
    virtual ~SWTIMER5View() {}
    virtual void setupScreen();
    virtual void tearDownScreen();
    virtual void keyUpdate(uint8_t val);
    virtual void trigger();
    virtual void watchdogstatus(uint8_t *val);

        void moveNext();
        void movePrevious();
        void moveNextScreen();
        void moveBackScreen();
protected:
        uint32_t key_position;
        uint32_t timeout;
        uint8_t shot;
        uint8_t state;
};

#endif // SWTIMER5VIEW_HPP
