#ifndef SWTIMERVIEW_HPP
#define SWTIMERVIEW_HPP

#include <gui_generated/swtimer_screen/SWTIMERViewBase.hpp>
#include <gui/swtimer_screen/SWTIMERPresenter.hpp>

class SWTIMERView : public SWTIMERViewBase
{
public:
    SWTIMERView();
    virtual ~SWTIMERView() {}
    virtual void setupScreen();
    virtual void tearDownScreen();
    virtual void keyUpdate(uint8_t val);
    virtual void trigger();
    virtual void watchdogstatus(uint8_t *val);

        void moveNext();
        void movePrevious();
        void moveNextScreen();
        void moveBackScreen();

protected:
        uint32_t key_position;
};

#endif // SWTIMERVIEW_HPP
