#ifndef WL01BLINKVIEW_HPP
#define WL01BLINKVIEW_HPP

#include <gui_generated/wl01blink_screen/WL01BLINKViewBase.hpp>
#include <gui/wl01blink_screen/WL01BLINKPresenter.hpp>
#include "../../../../Core/Maximatecc/user_modify_files/User_Define.h"

class WL01BLINKView : public WL01BLINKViewBase
{
public:
    WL01BLINKView();
    virtual ~WL01BLINKView() {}
    virtual void setupScreen();
    virtual void tearDownScreen();
    virtual void keyUpdate(uint8_t val);
    virtual void trigger();
    virtual void watchdogstatus(uint8_t *val);

    void moveNext();
    void movePrevious();
    void moveNextScreen();
    void moveBackScreen();
protected:
     uint8_t state;
     uint16_t blink;
     uint32_t key_position;
};

#endif // WL01BLINKVIEW_HPP
