#ifndef WL02BLINKVIEW_HPP
#define WL02BLINKVIEW_HPP

#include <gui_generated/wl02blink_screen/WL02BLINKViewBase.hpp>
#include <gui/wl02blink_screen/WL02BLINKPresenter.hpp>
#include "../../../../Core/Maximatecc/user_modify_files/User_Define.h"

class WL02BLINKView : public WL02BLINKViewBase
{
public:
    WL02BLINKView();
    virtual ~WL02BLINKView() {}
    virtual void setupScreen();
    virtual void tearDownScreen();
    virtual void keyUpdate(uint8_t val);
    virtual void trigger();
    virtual void watchdogstatus(uint8_t *val);

    void moveNext();
    void movePrevious();
    void moveNextScreen();
    void moveBackScreen();
protected:
    uint8_t state;
    uint16_t blink;
    uint32_t key_position;
};

#endif // WL02BLINKVIEW_HPP
