#ifndef WL03BLINKPRESENTER_HPP
#define WL03BLINKPRESENTER_HPP

#include <gui/model/ModelListener.hpp>
#include <mvp/Presenter.hpp>

using namespace touchgfx;

class WL03BLINKView;

class WL03BLINKPresenter : public touchgfx::Presenter, public ModelListener
{
public:
    WL03BLINKPresenter(WL03BLINKView& v);

    /**
     * The activate function is called automatically when this screen is "switched in"
     * (ie. made active). Initialization logic can be placed here.
     */
    virtual void activate();

    /**
     * The deactivate function is called automatically when this screen is "switched out"
     * (ie. made inactive). Teardown functionality can be placed here.
     */
    virtual void deactivate();

    virtual ~WL03BLINKPresenter() {};
    virtual void watchdogstatus(uint8_t *val);

    virtual void keyUpdate(uint8_t val);
    virtual void trigger();

private:
    WL03BLINKPresenter();

    WL03BLINKView& view;
};

#endif // WL03BLINKPRESENTER_HPP
