#ifndef WL06BLINKVIEW_HPP
#define WL06BLINKVIEW_HPP

#include <gui_generated/wl06blink_screen/WL06BLINKViewBase.hpp>
#include <gui/wl06blink_screen/WL06BLINKPresenter.hpp>
#include "../../../../Core/Maximatecc/user_modify_files/User_Define.h"

class WL06BLINKView : public WL06BLINKViewBase
{
public:
    WL06BLINKView();
    virtual ~WL06BLINKView() {}
    virtual void setupScreen();
    virtual void tearDownScreen();
    virtual void keyUpdate(uint8_t val);
    virtual void trigger();
    virtual void watchdogstatus(uint8_t *val);

        void moveNext();
        void movePrevious();
        void moveNextScreen();
        void moveBackScreen();
protected:
    uint8_t state;
    uint16_t blink;
    uint32_t key_position;
};

#endif // WL06BLINKVIEW_HPP
