#ifndef WL08BLINKVIEW_HPP
#define WL08BLINKVIEW_HPP

#include <gui_generated/wl08blink_screen/WL08BLINKViewBase.hpp>
#include <gui/wl08blink_screen/WL08BLINKPresenter.hpp>
#include "../../../../Core/Maximatecc/user_modify_files/User_Define.h"

class WL08BLINKView : public WL08BLINKViewBase
{
public:
    WL08BLINKView();
    virtual ~WL08BLINKView() {}
    virtual void setupScreen();
    virtual void tearDownScreen();
    virtual void keyUpdate(uint8_t val);
    virtual void trigger();
    virtual void watchdogstatus(uint8_t *val);

        void moveNext();
        void movePrevious();
        void moveNextScreen();
        void moveBackScreen();
protected:
    uint8_t state;
    uint16_t blink;
    uint32_t key_position;
};

#endif // WL08BLINKVIEW_HPP
