#ifndef WL09BLINKVIEW_HPP
#define WL09BLINKVIEW_HPP

#include <gui_generated/wl09blink_screen/WL09BLINKViewBase.hpp>
#include <gui/wl09blink_screen/WL09BLINKPresenter.hpp>
#include "../../../../Core/Maximatecc/user_modify_files/User_Define.h"

class WL09BLINKView : public WL09BLINKViewBase
{
public:
    WL09BLINKView();
    virtual ~WL09BLINKView() {}
    virtual void setupScreen();
    virtual void tearDownScreen();
    virtual void keyUpdate(uint8_t val);
    virtual void trigger();
    virtual void watchdogstatus(uint8_t *val);

        void moveNext();
        void movePrevious();
        void moveNextScreen();
        void moveBackScreen();
protected:
    uint8_t state;
    uint16_t blink;
    uint32_t key_position;
};

#endif // WL09BLINKVIEW_HPP
