#ifndef WL10BLINKVIEW_HPP
#define WL10BLINKVIEW_HPP

#include <gui_generated/wl10blink_screen/WL10BLINKViewBase.hpp>
#include <gui/wl10blink_screen/WL10BLINKPresenter.hpp>
#include "../../../../Core/Maximatecc/user_modify_files/User_Define.h"

class WL10BLINKView : public WL10BLINKViewBase
{
public:
    WL10BLINKView();
    virtual ~WL10BLINKView() {}
    virtual void setupScreen();
    virtual void tearDownScreen();
    virtual void keyUpdate(uint8_t val);
    virtual void trigger();
    virtual void watchdogstatus(uint8_t *val);

        void moveNext();
        void movePrevious();
        void moveNextScreen();
        void moveBackScreen();
protected:
    uint8_t state;
    uint16_t blink;
    uint32_t key_position;
};

#endif // WL10BLINKVIEW_HPP
