#ifndef WL11BLINKVIEW_HPP
#define WL11BLINKVIEW_HPP

#include <gui_generated/wl11blink_screen/WL11BLINKViewBase.hpp>
#include <gui/wl11blink_screen/WL11BLINKPresenter.hpp>
#include "../../../../Core/Maximatecc/user_modify_files/User_Define.h"

class WL11BLINKView : public WL11BLINKViewBase
{
public:
    WL11BLINKView();
    virtual ~WL11BLINKView() {}
    virtual void setupScreen();
    virtual void tearDownScreen();
    virtual void keyUpdate(uint8_t val);
    virtual void trigger();
    virtual void watchdogstatus(uint8_t *val);

        void moveNext();
        void movePrevious();
        void moveNextScreen();
        void moveBackScreen();
protected:
    uint8_t state;
    uint16_t blink;
    uint32_t key_position;
};

#endif // WL11BLINKVIEW_HPP
