#ifndef WL14BLINKVIEW_HPP
#define WL14BLINKVIEW_HPP

#include <gui_generated/wl14blink_screen/WL14BLINKViewBase.hpp>
#include <gui/wl14blink_screen/WL14BLINKPresenter.hpp>
#include "../../../../Core/Maximatecc/user_modify_files/User_Define.h"

class WL14BLINKView : public WL14BLINKViewBase
{
public:
    WL14BLINKView();
    virtual ~WL14BLINKView() {}
    virtual void setupScreen();
    virtual void tearDownScreen();
    virtual void keyUpdate(uint8_t val);
    virtual void trigger();
    virtual void watchdogstatus(uint8_t *val);

       void moveNext();
       void movePrevious();
       void moveNextScreen();
       void moveBackScreen();
protected:
       uint8_t state;
       uint16_t blink;
       uint32_t key_position;
};

#endif // WL14BLINKVIEW_HPP
