#ifndef WL16BLINKVIEW_HPP
#define WL16BLINKVIEW_HPP

#include <gui_generated/wl16blink_screen/WL16BLINKViewBase.hpp>
#include <gui/wl16blink_screen/WL16BLINKPresenter.hpp>
#include "../../../../Core/Maximatecc/user_modify_files/User_Define.h"

class WL16BLINKView : public WL16BLINKViewBase
{
public:
    WL16BLINKView();
    virtual ~WL16BLINKView() {}
    virtual void setupScreen();
    virtual void tearDownScreen();
    virtual void keyUpdate(uint8_t val);
    virtual void trigger();
    virtual void watchdogstatus(uint8_t *val);

       void moveNext();
       void movePrevious();
       void moveNextScreen();
       void moveBackScreen();
protected:
    uint8_t state;
    uint16_t blink;
    uint32_t key_position;
};

#endif // WL16BLINKVIEW_HPP
