#ifndef WL17BLINKVIEW_HPP
#define WL17BLINKVIEW_HPP

#include <gui_generated/wl17blink_screen/WL17BLINKViewBase.hpp>
#include <gui/wl17blink_screen/WL17BLINKPresenter.hpp>
#include "../../../../Core/Maximatecc/user_modify_files/User_Define.h"

class WL17BLINKView : public WL17BLINKViewBase
{
public:
    WL17BLINKView();
    virtual ~WL17BLINKView() {}
    virtual void setupScreen();
    virtual void tearDownScreen();
    virtual void keyUpdate(uint8_t val);
    virtual void trigger();
    virtual void watchdogstatus(uint8_t *val);

       void moveNext();
       void movePrevious();
       void moveNextScreen();
       void moveBackScreen();
protected:
    uint8_t state;
    uint16_t blink;
    uint32_t key_position;
};

#endif // WL17BLINKVIEW_HPP
