#ifndef WL20BLINKVIEW_HPP
#define WL20BLINKVIEW_HPP

#include <gui_generated/wl20blink_screen/WL20BLINKViewBase.hpp>
#include <gui/wl20blink_screen/WL20BLINKPresenter.hpp>
#include "../../../../Core/Maximatecc/user_modify_files/User_Define.h"

class WL20BLINKView : public WL20BLINKViewBase
{
public:
    WL20BLINKView();
    virtual ~WL20BLINKView() {}
    virtual void setupScreen();
    virtual void tearDownScreen();
    virtual void keyUpdate(uint8_t val);
    virtual void trigger();
    virtual void watchdogstatus(uint8_t *val);

       void moveNext();
       void movePrevious();
       void moveNextScreen();
       void moveBackScreen();
protected:
    uint8_t state;
    uint16_t blink;
    uint32_t key_position;
};

#endif // WL20BLINKVIEW_HPP
