#ifndef WREEPROM1VIEW_HPP
#define WREEPROM1VIEW_HPP

#include <gui_generated/wreeprom1_screen/WREEPROM1ViewBase.hpp>
#include <gui/wreeprom1_screen/WREEPROM1Presenter.hpp>

class WREEPROM1View : public WREEPROM1ViewBase
{
public:
    WREEPROM1View();
    virtual ~WREEPROM1View() {}
    virtual void setupScreen();
    virtual void tearDownScreen();
    virtual void keyUpdate(uint8_t val);
    virtual void trigger();
    virtual void watchdogstatus(uint8_t *val);


    void moveNext();
    void movePrevious();
    void moveNextScreen();
    void moveBackScreen();
protected:
    uint32_t key_position;
    uint32_t place;
    uint32_t data;
    uint8_t value;
};

#endif // WREEPROM1VIEW_HPP
