#ifndef WRFLASHVIEW_HPP
#define WRFLASHVIEW_HPP

#include <gui_generated/wrflash_screen/WRFLASHViewBase.hpp>
#include <gui/wrflash_screen/WRFLASHPresenter.hpp>

class WRFLASHView : public WRFLASHViewBase
{
public:
    WRFLASHView();
    virtual ~WRFLASHView() {}
    virtual void setupScreen();
    virtual void tearDownScreen();
    virtual void keyUpdate(uint8_t val);
    virtual void trigger();
    virtual void watchdogstatus(uint8_t *val);


    void moveNext();
    void movePrevious();
    void moveNextScreen();
    void moveBackScreen();
protected:
    uint32_t key_position;
    uint8_t w_data[20] = {10,20,30,40,50,60,70,80,90,100,110,120,130,140,150,160,170,180,190};
    uint8_t value;
    uint32_t wraddress;
};

#endif // WRFLASHVIEW_HPP
