#ifndef WTDOGVIEW_HPP
#define WTDOGVIEW_HPP

#include <gui_generated/wtdog_screen/WTDOGViewBase.hpp>
#include <gui/wtdog_screen/WTDOGPresenter.hpp>

class WTDOGView : public WTDOGViewBase
{
public:
    WTDOGView();
    virtual ~WTDOGView() {}
    virtual void setupScreen();
    virtual void tearDownScreen();
    virtual void keyUpdate(uint8_t val);
    virtual void trigger();
    virtual void watchdogstatus(uint8_t *val);

    void moveNext();
    void movePrevious();
    void moveEnter();
    void moveBackScreen();
protected:
    uint8_t key_position;
    uint8_t key_position1;
    uint8_t state;
    int tickCounter;
    uint8_t user_task_wd0;
    uint8_t user_task_wd1;
    uint8_t user_task_wd2;
    uint8_t user_task_wd3;
    uint8_t user_task_wd4;
    uint8_t user_task_wd5;
    uint8_t user_task_wd6;
    uint8_t user_task_wd7;
    uint8_t user_task_wd8;
    uint8_t user_task_wd9;
    uint8_t wd_triggered;

};

#endif // WTDOGVIEW_HPP
