#include <gui/ambsta_screen/AMBSTAView.hpp>
#include "../../../../Core/Maximatecc/user_modify_files/User_Define.h"

AMBSTAView::AMBSTAView()
{
#if (SDK_SERVICE_LED == PS_ENABLE)

#if(CONF_AMB_LED_PS_STATE == PS_ENABLE)
	/* Get the AMB LED Status from the DB */
	Get_DL(LED_AMB_STATE, &state);
	if (LED_ON == state)
	{
		Unicode::snprintf(AMBONBuffer, AMBON_SIZE, "ON");
	}
	else
		Unicode::snprintf(AMBONBuffer, AMBON_SIZE, "OFF");

	AMBON.invalidate();
#endif

#endif
}

void AMBSTAView::setupScreen()
{
    AMBSTAViewBase::setupScreen();
}

void AMBSTAView::tearDownScreen()
{
    AMBSTAViewBase::tearDownScreen();
}

void AMBSTAView::keyUpdate(uint8_t val)
{
#if (SDK_SERVICE_LED == PS_ENABLE)

	if((KEY1_SHORT_PRESS == val) || (KEY1_LONG_PRESS == val))
	{
#if(CONF_AMB_LED_PS_STATE == PS_ENABLE)
        if (LED_OFF == state)
        {
        	state = LED_ON;
    		/* Set the AMB LED Status */
        	Set_DL(LED_AMB_STATE, &state);
        	Unicode::snprintf(AMBONBuffer, AMBON_SIZE, "ON");
        }
        else
        {
        	state = LED_OFF;
    		/* Set the AMB LED Status */
        	Set_DL(LED_AMB_STATE, &state);
            Unicode::snprintf(AMBONBuffer, AMBON_SIZE, "OFF");
        }

        AMBON.invalidate();
#endif

	}
	else
	if((KEY2_SHORT_PRESS == val) || (KEY2_LONG_PRESS == val))
	{


	}
	else
	if((KEY3_SHORT_PRESS == val) || (KEY3_LONG_PRESS == val))
	{


	}
	else
	if((KEY4_SHORT_PRESS == val) || (KEY4_LONG_PRESS == val))
	{
		application().gotoAMBNXTScreenNoTransition();
	}
#endif
}


void AMBSTAView::trigger()
{

}


void AMBSTAView::watchdogstatus(uint8_t *val)
{
	*val = 0;
}
