#include <gui/keypad_screen/KeypadView.hpp>
#include <touchgfx/Color.hpp>
#include "../../../../Core/Maximatecc/user_modify_files/User_Define.h"

KeypadView::KeypadView()
{

}
void KeypadView::trigger()
{

}
void KeypadView::setupScreen()
{
    KeypadViewBase::setupScreen();
}

void KeypadView::tearDownScreen()
{
    KeypadViewBase::tearDownScreen();
}

void KeypadView::keyUpdate(uint8_t val)
{
#if (SDK_SERVICE_KEYPAD == PS_ENABLE)

	uint8_t state;

	if (KEY1_SHORT_PRESS == val)
	{
		/* Short Press Keypad button */
		K1STA.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
		K1STA.invalidate();

		/* Clear Long Press Keypad button */
		K1LTA.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
		K1LTA.invalidate();

		state = KEY_BACKLIGHT_ON;
		Set_DL(KEYPAD_BACKLIGHT , &state);
	}
	else
	if (KEY1_LONG_PRESS == val)
	{
		/* Long Press Keypad button */
		K1LTA.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
		K1LTA.invalidate();

		/* Clear Short Press Keypad button */
		K1STA.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
		K1STA.invalidate();

		state = KEY_BACKLIGHT_OFF;
		Set_DL(KEYPAD_BACKLIGHT , &state);
	}
	else
	if(KEY2_SHORT_PRESS == val)
	{
		/* Short Press Keypad button */
		K2STA.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
		K2STA.invalidate();

		/* Clear Long Press Keypad button */
		K2LTA.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
		K2LTA.invalidate();

	}
	else
	if(KEY2_LONG_PRESS == val)
	{
		/* Long Press Keypad button */
		K2LTA.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
		K2LTA.invalidate();

		/* Clear Short Press Keypad button */
		K2STA.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
		K2STA.invalidate();
	}
	else
	if(KEY3_SHORT_PRESS == val)
	{
		/* Short Press Keypad button */
		K3STA.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
		K3STA.invalidate();

		/* Clear Long Press Keypad button */
		K3LTA.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
		K3LTA.invalidate();
	}
	else
	if(KEY3_LONG_PRESS == val)
	{
		/* Long Press Keypad button */
		K3LTA.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
		K3LTA.invalidate();

		/* Clear Short Press Keypad button */
		K3STA.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
		K3STA.invalidate();
	}

	else
	if(KEY4_SHORT_PRESS == val)
	{
		/* Short Press Keypad button */
		K4STA.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
		K4STA.invalidate();

		/* Clear Long Press Keypad button */
		K4LTA.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
		K4LTA.invalidate();
	}
	else
	if(KEY4_LONG_PRESS == val)

	{		/* Long Press Keypad button */
		application().gotoIngtestScreenNoTransition();
	}

#endif
}



void KeypadView::watchdogstatus(uint8_t *val)
{
	*val = 0;
}
