#include <gui/wl01nxt_screen/WL01NXTView.hpp>
#include <touchgfx/Color.hpp>
#include "../../../../Core/Maximatecc/user_modify_files/User_Define.h"

WL01NXTView::WL01NXTView()
{
	key_position = 1;
	/* Active the first button */
	ONOFFWL01.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
	ONOFFWL01.invalidate();
}


void WL01NXTView::trigger()
{

}

void WL01NXTView::setupScreen()
{
    WL01NXTViewBase::setupScreen();
}

void WL01NXTView::tearDownScreen()
{
    WL01NXTViewBase::tearDownScreen();
}

void WL01NXTView::keyUpdate(uint8_t val)
{
	if((KEY1_SHORT_PRESS == val) || (KEY1_LONG_PRESS == val))
		movePrevious();
	else
	if((KEY2_SHORT_PRESS == val) || (KEY2_LONG_PRESS == val))
		moveNext();
	else
	if((KEY3_SHORT_PRESS == val) || (KEY3_LONG_PRESS == val))
		moveNextScreen();
	else
	if((KEY4_SHORT_PRESS == val) || (KEY4_LONG_PRESS == val))
		moveBackScreen();

}

void WL01NXTView::moveNextScreen()
{
	switch(key_position)
	{
	case 1:
		application().gotoWLS01ScreenNoTransition();
		break;

	case 2:
		application().gotoWL01BLINKScreenNoTransition();
		break;

	default:
		break;

	}
}

void WL01NXTView::moveBackScreen()
{
	application().gotoWarningLightScreenNoTransition();
}
void WL01NXTView::moveNext()
{
	key_position++;

		if (3 == key_position)
			key_position = 1;

		switch(key_position)
		{
		case 1:
			/* DESelect the Keypad button */
			BLINKWL01.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
			BLINKWL01.invalidate();

			/* Select the Keypad button */
			ONOFFWL01.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
			ONOFFWL01.invalidate();
			break;
		case 2:
			/* DESelect the Keypad button */
			ONOFFWL01.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
			ONOFFWL01.invalidate();

			/* Select the Keypad button */
			BLINKWL01.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
			BLINKWL01.invalidate();
			break;
		default:
				break;
		}

}
void WL01NXTView::movePrevious()
{
	key_position--;

		if (0 == key_position)
			key_position = 2;

		switch(key_position)
		{
		case 1:
			/* DESelect the Keypad button */
			ONOFFWL01.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
			ONOFFWL01.invalidate();

			/* Select the Keypad button */
			BLINKWL01.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
			BLINKWL01.invalidate();
			break;
		case 2:
			/* DESelect the Keypad button */
			BLINKWL01.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
			BLINKWL01.invalidate();

			/* Select the Keypad button */
			ONOFFWL01.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
			ONOFFWL01.invalidate();
			break;
		default:
				break;
		}
}



void WL01NXTView::watchdogstatus(uint8_t *val)
{
	*val = 0;
}
