#include <gui/wl19nxt_screen/WL19NXTView.hpp>
#include <touchgfx/Color.hpp>
#include "../../../../Core/Maximatecc/user_modify_files/User_Define.h"

WL19NXTView::WL19NXTView()
{
	key_position = 1;
	/* Active the first button */
	ONOFFWL19.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
	ONOFFWL19.invalidate();
}

void WL19NXTView::trigger()
{

}

void WL19NXTView::setupScreen()
{
    WL19NXTViewBase::setupScreen();
}

void WL19NXTView::tearDownScreen()
{
    WL19NXTViewBase::tearDownScreen();
}

void WL19NXTView::keyUpdate(uint8_t val)
{
	if((KEY1_SHORT_PRESS == val) || (KEY1_LONG_PRESS == val))
		movePrevious();
	else
	if((KEY2_SHORT_PRESS == val) || (KEY2_LONG_PRESS == val))
		moveNext();
	else
	if((KEY3_SHORT_PRESS == val) || (KEY3_LONG_PRESS == val))
		moveNextScreen();
	else
	if((KEY4_SHORT_PRESS == val) || (KEY4_LONG_PRESS == val))
		moveBackScreen();

}


void WL19NXTView::moveNextScreen()
{
	switch(key_position)
	{
	case 1:
		application().gotoWLS19ScreenNoTransition();
		break;

	case 2:
		application().gotoWL19BLINKScreenNoTransition();
		break;

	default:
		break;

	}
}

void WL19NXTView::moveBackScreen()
{
	application().gotoWarningLightScreenNoTransition();
}
void WL19NXTView::moveNext()
{
	key_position++;

		if (3 == key_position)
			key_position = 1;

		switch(key_position)
		{
		case 1:
			/* DESelect the Keypad button */
			BLINKWL19.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
			BLINKWL19.invalidate();

			/* Select the Keypad button */
			ONOFFWL19.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
			ONOFFWL19.invalidate();
			break;
		case 2:
			/* DESelect the Keypad button */
			ONOFFWL19.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
			ONOFFWL19.invalidate();

			/* Select the Keypad button */
			BLINKWL19.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
			BLINKWL19.invalidate();
			break;
		default:
				break;
		}

}
void WL19NXTView::movePrevious()
{
	key_position--;

		if (0 == key_position)
			key_position = 2;

		switch(key_position)
		{
		case 1:
			/* DESelect the Keypad button */
			ONOFFWL19.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
			ONOFFWL19.invalidate();

			/* Select the Keypad button */
			BLINKWL19.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
			BLINKWL19.invalidate();
			break;
		case 2:
			/* DESelect the Keypad button */
			BLINKWL19.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
			BLINKWL19.invalidate();

			/* Select the Keypad button */
			ONOFFWL19.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
			ONOFFWL19.invalidate();
			break;
		default:
				break;
		}
}


void WL19NXTView::watchdogstatus(uint8_t *val)
{
	*val = 0;
}


