#include <gui/wl20nxt_screen/WL20NXTView.hpp>
#include <touchgfx/Color.hpp>
#include "../../../../Core/Maximatecc/user_modify_files/User_Define.h"

WL20NXTView::WL20NXTView()
{
	key_position = 1;
	/* Active the first button */
	ONOFFWL20.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
	ONOFFWL20.invalidate();
}

void WL20NXTView::trigger()
{

}

void WL20NXTView::setupScreen()
{
    WL20NXTViewBase::setupScreen();
}

void WL20NXTView::tearDownScreen()
{
    WL20NXTViewBase::tearDownScreen();
}

void WL20NXTView::keyUpdate(uint8_t val)
{
	if((KEY1_SHORT_PRESS == val) || (KEY1_LONG_PRESS == val))
		movePrevious();
	else
	if((KEY2_SHORT_PRESS == val) || (KEY1_LONG_PRESS == val))
		moveNext();
	else
	if((KEY3_SHORT_PRESS == val) || (KEY1_LONG_PRESS == val))
		moveNextScreen();
	else
	if((KEY4_SHORT_PRESS == val) || (KEY1_LONG_PRESS == val))
		moveBackScreen();

}


void WL20NXTView::moveNextScreen()
{
	switch(key_position)
	{
	case 1:
		application().gotoWLS20ScreenNoTransition();
		break;

	case 2:
		application().gotoWL20BLINKScreenNoTransition();
		break;

	default:
		break;

	}
}

void WL20NXTView::moveBackScreen()
{
	application().gotoWarningLightScreenNoTransition();
}
void WL20NXTView::moveNext()
{
	key_position++;

		if (3 == key_position)
			key_position = 1;

		switch(key_position)
		{
		case 1:
			/* DESelect the Keypad button */
			BLINKWL20.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
			BLINKWL20.invalidate();

			/* Select the Keypad button */
			ONOFFWL20.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
			ONOFFWL20.invalidate();
			break;
		case 2:
			/* DESelect the Keypad button */
			ONOFFWL20.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
			ONOFFWL20.invalidate();

			/* Select the Keypad button */
			BLINKWL20.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
			BLINKWL20.invalidate();
			break;
		default:
				break;
		}

}
void WL20NXTView::movePrevious()
{
	key_position--;

		if (0 == key_position)
			key_position = 2;

		switch(key_position)
		{
		case 1:
			/* DESelect the Keypad button */
			ONOFFWL20.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
			ONOFFWL20.invalidate();

			/* Select the Keypad button */
			BLINKWL20.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
			BLINKWL20.invalidate();
			break;
		case 2:
			/* DESelect the Keypad button */
			BLINKWL20.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
			BLINKWL20.invalidate();

			/* Select the Keypad button */
			ONOFFWL20.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
			ONOFFWL20.invalidate();
			break;
		default:
				break;
		}
}



void WL20NXTView::watchdogstatus(uint8_t *val)
{
	*val = 0;
}

