#ifndef ALARMASCRVIEW_HPP
#define ALARMASCRVIEW_HPP

#include <gui_generated/alarmascr_screen/ALARMASCRViewBase.hpp>
#include <gui/alarmascr_screen/ALARMASCRPresenter.hpp>
#include "../../../../Core/Maximatecc/user_modify_files/User_Define.h"

class ALARMASCRView : public ALARMASCRViewBase
{
public:
    ALARMASCRView();
    virtual ~ALARMASCRView() {}
    virtual void setupScreen();
    virtual void tearDownScreen();
    virtual void alarmupdate(uint8_t val);
    virtual void keyUpdate(uint8_t val);
    virtual void watchdogstatus(uint8_t *val);

    virtual void trigger();

        void moveNext();
        void movePrevious();
        void moveNextScreen();
        void moveBackScreen();
protected:
    uint8_t ahours;
    uint8_t aminutes;
    uint8_t aseconds;
    uint16_t awkdays;
    uint32_t key_position;
    uint8_t artcval;
    uint8_t ares;
	uint8_t almaformat;
	uint8_t format;
	uint8_t alarm_status;
	uint8_t a_date;
	uint8_t a_month;
	uint8_t a_year;
    int tickCounter;
    int digitalHours;
    int digitalMinutes;
    int digitalSeconds;

};

#endif // ALARMASCRVIEW_HPP
