#ifndef AMBBLINKVIEW_HPP
#define AMBBLINKVIEW_HPP

#include <gui_generated/ambblink_screen/AMBBLINKViewBase.hpp>
#include <gui/ambblink_screen/AMBBLINKPresenter.hpp>
#include "../../../../Core/Maximatecc/user_modify_files/User_Define.h"

class AMBBLINKView : public AMBBLINKViewBase
{
public:
    AMBBLINKView();
    virtual ~AMBBLINKView() {}
    virtual void setupScreen();
    virtual void tearDownScreen();

    virtual void keyUpdate(uint8_t val);
    virtual void trigger();
    virtual void watchdogstatus(uint8_t *val);


    void moveNext();
    void movePrevious();
    void moveNextScreen();
    void moveBackScreen();

protected:
    uint8_t state;
    uint16_t blink;
    uint32_t key_position;
};

#endif // AMBBLINKVIEW_HPP
