#ifndef BLEVIEW_HPP
#define BLEVIEW_HPP

#include <gui_generated/ble_screen/BLEViewBase.hpp>
#include <gui/ble_screen/BLEPresenter.hpp>

class BLEView : public BLEViewBase
{
public:
    BLEView();
    virtual ~BLEView() {}
    virtual void setupScreen();
    virtual void tearDownScreen();
    virtual void keyUpdate(uint8_t val);
    virtual void trigger();
    virtual void watchdogstatus(uint8_t *val);

        void moveNext();
        void movePrevious();
        void moveNextScreen();
        void moveBackScreen();
protected:
        uint32_t key_position;
};

#endif // BLEVIEW_HPP
