#ifndef CANXTVIEW_HPP
#define CANXTVIEW_HPP

#include <gui_generated/canxt_screen/CANXTViewBase.hpp>
#include <gui/canxt_screen/CANXTPresenter.hpp>

class CANXTView : public CANXTViewBase
{
public:
    CANXTView();
    virtual ~CANXTView() {}
    virtual void setupScreen();
    virtual void tearDownScreen();
    virtual void keyUpdate(uint8_t val);
    virtual void trigger();
    virtual void watchdogstatus(uint8_t *val);

        void moveNext();
        void movePrevious();
        void moveNextScreen();
        void moveBackScreen();
protected:
        uint32_t key_position;
};

#endif // CANXTVIEW_HPP
