#ifndef CIVIEW_HPP
#define CIVIEW_HPP

#include <gui_generated/ci_screen/CIViewBase.hpp>
#include <gui/ci_screen/CIPresenter.hpp>
#include "../../../../Core/Maximatecc/user_modify_files/User_Define.h"

class CIView : public CIViewBase
{
public:
    CIView();
    virtual ~CIView() {}
    virtual void setupScreen();
    virtual void tearDownScreen();
    virtual void keyUpdate(uint8_t val);
    virtual void watchdogstatus(uint8_t *val);

    virtual void trigger();

    void moveNext();
    void movePrevious();
    void settype();
    void moveBackScreen();

protected:
    uint8_t state;
    uint8_t key_position;
    uint8_t position;
    uint8_t key_position1;
    uint8_t key_position2;
    uint8_t key_position3;
    uint8_t key_position4;
    uint8_t key_position5;
    uint8_t key_position6;
    uint8_t input1_type;
    uint8_t input2_type;
    uint8_t input3_type;
    uint8_t input4_type;
    uint8_t input5_type;
    uint8_t input6_type;

    uint32_t currenttype;
    uint8_t value;
    uint8_t update_val;
    uint8_t cfg_type;
};

#endif // CIVIEW_HPP
