#ifndef EEPROM1VIEW_HPP
#define EEPROM1VIEW_HPP

#include <gui_generated/eeprom1_screen/EEPROM1ViewBase.hpp>
#include <gui/eeprom1_screen/EEPROM1Presenter.hpp>

class EEPROM1View : public EEPROM1ViewBase
{
public:
    EEPROM1View();
    virtual ~EEPROM1View() {}
    virtual void setupScreen();
    virtual void tearDownScreen();
    virtual void keyUpdate(uint8_t val);
    virtual void trigger();
    virtual void watchdogstatus(uint8_t *val);


    void moveNext();
    void movePrevious();
    void moveNextScreen();
    void moveBackScreen();
protected:
    uint32_t key_position;
    uint32_t place1;
    uint8_t value;
};

#endif // EEPROM1VIEW_HPP
