#ifndef INGTESTVIEW_HPP
#define INGTESTVIEW_HPP

#include <gui_generated/ingtest_screen/IngtestViewBase.hpp>
#include <gui/ingtest_screen/IngtestPresenter.hpp>
#include "../../../../Core/Maximatecc/user_modify_files/User_Define.h"

class IngtestView : public IngtestViewBase
{
public:
    IngtestView();
    virtual ~IngtestView() {}
    virtual void setupScreen();
    virtual void tearDownScreen();
    virtual void watchdogstatus(uint8_t *val);

    virtual void keyUpdate(uint8_t val);
    virtual void trigger();

    void moveNext();
    void movePrevious();
    void moveNextScreen();
protected:
    uint32_t key_position;
};

#endif // INGTESTVIEW_HPP
