#ifndef J1939VIEW_HPP
#define J1939VIEW_HPP

#include <gui_generated/j1939_screen/J1939ViewBase.hpp>
#include <gui/j1939_screen/J1939Presenter.hpp>

class J1939View : public J1939ViewBase
{
public:
    J1939View();
    virtual ~J1939View() {}
    virtual void setupScreen();
    virtual void tearDownScreen();
    virtual void keyUpdate(uint8_t val);
    virtual void trigger();
    virtual void watchdogstatus(uint8_t *val);


    void moveNext();
    void movePrevious();
    void moveEnter();
    void moveBackScreen();
protected:
    uint32_t key_position;
    uint8_t count_val;

};

#endif // J1939VIEW_HPP
