#ifndef LCDVIEW_HPP
#define LCDVIEW_HPP

#include <gui_generated/lcd_screen/LCDViewBase.hpp>
#include <gui/lcd_screen/LCDPresenter.hpp>
#include "../../../../Core/Maximatecc/user_modify_files/User_Define.h"

class LCDView : public LCDViewBase
{
public:
    LCDView();
    virtual ~LCDView() {}
    virtual void setupScreen();
    virtual void tearDownScreen();
    virtual void keyUpdate(uint8_t val);
    virtual void watchdogstatus(uint8_t *val);

    virtual void trigger();

    void brightnessinc();
    void brightnessdec();
    void moveBackScreen();
    void enter();

protected:
    uint16_t brightness_value;
    uint8_t state;

};

#endif // LCDVIEW_HPP
