#ifndef LEDLTVIEW_HPP
#define LEDLTVIEW_HPP

#include <gui_generated/ledlt_screen/LEDLTViewBase.hpp>
#include <gui/ledlt_screen/LEDLTPresenter.hpp>
#include "../../../../Core/Maximatecc/user_modify_files/User_Define.h"

class LEDLTView : public LEDLTViewBase
{
public:
    LEDLTView();
    virtual ~LEDLTView() {}
    virtual void setupScreen();
    virtual void tearDownScreen();
    virtual void keyUpdate(uint8_t val);
    virtual void trigger();
    virtual void watchdogstatus(uint8_t *val);


       void moveNext();
       void movePrevious();
       void moveNextScreen();
       void moveBackScreen();
protected:
    uint32_t key_position;
};

#endif // LEDLTVIEW_HPP
