#ifndef PWRMNTRVIEW_HPP
#define PWRMNTRVIEW_HPP

#include <gui_generated/pwrmntr_screen/PWRMNTRViewBase.hpp>
#include <gui/pwrmntr_screen/PWRMNTRPresenter.hpp>

class PWRMNTRView : public PWRMNTRViewBase
{
public:
    PWRMNTRView();
    virtual ~PWRMNTRView() {}
    virtual void setupScreen();
    virtual void tearDownScreen();
    virtual void keyUpdate(uint8_t val);
    virtual void trigger();
    virtual void watchdogstatus(uint8_t *val);


    void moveNext();
    void movePrevious();
    void moveEnter();
    void moveBackScreen();

protected:
    uint32_t key_position;
    uint8_t  pwr_update;
};

#endif // PWRMNTRVIEW_HPP
