#ifndef REDBLINKVIEW_HPP
#define REDBLINKVIEW_HPP

#include <gui_generated/redblink_screen/REDBLINKViewBase.hpp>
#include <gui/redblink_screen/REDBLINKPresenter.hpp>
#include "../../../../Core/Maximatecc/user_modify_files/User_Define.h"

class REDBLINKView : public REDBLINKViewBase
{
public:
    REDBLINKView();
    virtual ~REDBLINKView() {}
    virtual void setupScreen();
    virtual void tearDownScreen();
    virtual void keyUpdate(uint8_t val);
    virtual void trigger();
    virtual void watchdogstatus(uint8_t *val);


    void moveNext();
    void movePrevious();
    void moveNextScreen();
    void moveBackScreen();
protected:
    uint8_t state;
    uint16_t blink;
    uint32_t key_position;
};

#endif // REDBLINKVIEW_HPP
