#ifndef RTCNXTVIEW_HPP
#define RTCNXTVIEW_HPP

#include <gui_generated/rtcnxt_screen/RTCNXTViewBase.hpp>
#include <gui/rtcnxt_screen/RTCNXTPresenter.hpp>
#include "../../../../Core/Maximatecc/user_modify_files/User_Define.h"

class RTCNXTView : public RTCNXTViewBase
{
public:
    RTCNXTView();
    virtual ~RTCNXTView() {}
    virtual void setupScreen();
    virtual void tearDownScreen();
    virtual void keyUpdate(uint8_t val);
    virtual void trigger();
    virtual void watchdogstatus(uint8_t *val);

       void moveNext();
       void movePrevious();
       void moveNextScreen();
       void moveBackScreen();
protected:
    uint32_t key_position;
    uint8_t rtc_refresh_val;
    int tickCounter;
    int digitalHours;
    int digitalMinutes;
    int digitalSeconds;
};

#endif // RTCNXTVIEW_HPP
