#ifndef SWTIMER1VIEW_HPP
#define SWTIMER1VIEW_HPP

#include <gui_generated/swtimer1_screen/SWTIMER1ViewBase.hpp>
#include <gui/swtimer1_screen/SWTIMER1Presenter.hpp>

class SWTIMER1View : public SWTIMER1ViewBase
{
public:
    SWTIMER1View();
    virtual ~SWTIMER1View() {}
    virtual void setupScreen();
    virtual void tearDownScreen();
    virtual void keyUpdate(uint8_t val);
    virtual void trigger();
    virtual void watchdogstatus(uint8_t *val);

        void moveNext();
        void movePrevious();
        void moveNextScreen();
        void moveBackScreen();
protected:
        uint32_t key_position;
        uint32_t timeout;
        uint8_t shot;
        uint8_t state;
    	uint32_t sw_timeout;
};

#endif // SWTIMER1VIEW_HPP
