#ifndef SWTIMER3VIEW_HPP
#define SWTIMER3VIEW_HPP

#include <gui_generated/swtimer3_screen/SWTIMER3ViewBase.hpp>
#include <gui/swtimer3_screen/SWTIMER3Presenter.hpp>

class SWTIMER3View : public SWTIMER3ViewBase
{
public:
    SWTIMER3View();
    virtual ~SWTIMER3View() {}
    virtual void setupScreen();
    virtual void tearDownScreen();
    virtual void keyUpdate(uint8_t val);
    virtual void trigger();
    virtual void watchdogstatus(uint8_t *val);

        void moveNext();
        void movePrevious();
        void moveNextScreen();
        void moveBackScreen();
protected:
        uint32_t key_position;
        uint32_t timeout;
        uint8_t shot;
        uint8_t state;
};

#endif // SWTIMER3VIEW_HPP
