#ifndef SWTIMER6VIEW_HPP
#define SWTIMER6VIEW_HPP

#include <gui_generated/swtimer6_screen/SWTIMER6ViewBase.hpp>
#include <gui/swtimer6_screen/SWTIMER6Presenter.hpp>

class SWTIMER6View : public SWTIMER6ViewBase
{
public:
    SWTIMER6View();
    virtual ~SWTIMER6View() {}
    virtual void setupScreen();
    virtual void tearDownScreen();
    virtual void keyUpdate(uint8_t val);
    virtual void trigger();
    virtual void watchdogstatus(uint8_t *val);

        void moveNext();
        void movePrevious();
        void moveNextScreen();
        void moveBackScreen();
protected:
        uint32_t key_position;
        uint32_t timeout;
        uint8_t shot;
        uint8_t state;
};

#endif // SWTIMER6VIEW_HPP
