#ifndef THRPUTVIEW_HPP
#define THRPUTVIEW_HPP

#include <gui_generated/thrput_screen/THRPUTViewBase.hpp>
#include <gui/thrput_screen/THRPUTPresenter.hpp>

class THRPUTView : public THRPUTViewBase
{
public:
    THRPUTView();
    virtual ~THRPUTView() {}
    virtual void setupScreen();
    virtual void tearDownScreen();

    virtual void keyUpdate(uint8_t val);
    virtual void trigger();
    virtual void watchdogstatus(uint8_t *val);

        void moveNext();
        void movePrevious();
        void moveNextScreen();
        void moveBackScreen();
protected:
        uint32_t key_position;
        uint32_t Count_val;
        uint32_t throughput;
};

#endif // THRPUTVIEW_HPP
