#ifndef USBVIEW_HPP
#define USBVIEW_HPP

#include <gui_generated/usb_screen/USBViewBase.hpp>
#include <gui/usb_screen/USBPresenter.hpp>

class USBView : public USBViewBase
{
public:
    USBView();
    virtual ~USBView() {}
    virtual void setupScreen();
    virtual void tearDownScreen();
    virtual void keyUpdate(uint8_t val);
    virtual void trigger();
    virtual void watchdogstatus(uint8_t *val);

        void moveNext();
        void movePrevious();
        void moveNextScreen();
        void moveBackScreen();
protected:
        uint32_t key_position;
};

#endif // USBVIEW_HPP
