#ifndef WARNINGLIGHTVIEW_HPP
#define WARNINGLIGHTVIEW_HPP

#include <gui_generated/warninglight_screen/WarningLightViewBase.hpp>
#include <gui/warninglight_screen/WarningLightPresenter.hpp>
#include "../../../../Core/Maximatecc/user_modify_files/User_Define.h"

class WarningLightView : public WarningLightViewBase
{
public:
    WarningLightView();
    virtual ~WarningLightView() {}
    virtual void setupScreen();
    virtual void tearDownScreen();
    virtual void keyUpdate(uint8_t val);
    virtual void trigger();
    virtual void watchdogstatus(uint8_t *val);

    void moveNext();
    void movePrevious();
    void moveNextScreen();
    void moveBackScreen();
protected:
    uint32_t key_position;

};

#endif // WARNINGLIGHTVIEW_HPP
