#ifndef WL03BLINKVIEW_HPP
#define WL03BLINKVIEW_HPP

#include <gui_generated/wl03blink_screen/WL03BLINKViewBase.hpp>
#include <gui/wl03blink_screen/WL03BLINKPresenter.hpp>
#include "../../../../Core/Maximatecc/user_modify_files/User_Define.h"

class WL03BLINKView : public WL03BLINKViewBase
{
public:
    WL03BLINKView();
    virtual ~WL03BLINKView() {}
    virtual void setupScreen();
    virtual void tearDownScreen();
    virtual void keyUpdate(uint8_t val);
    virtual void trigger();
    virtual void watchdogstatus(uint8_t *val);

        void moveNext();
        void movePrevious();
        void moveNextScreen();
        void moveBackScreen();
protected:
    uint8_t state;
    uint16_t blink;
    uint32_t key_position;
};

#endif // WL03BLINKVIEW_HPP
