#ifndef WL04BLINKVIEW_HPP
#define WL04BLINKVIEW_HPP

#include <gui_generated/wl04blink_screen/WL04BLINKViewBase.hpp>
#include <gui/wl04blink_screen/WL04BLINKPresenter.hpp>
#include "../../../../Core/Maximatecc/user_modify_files/User_Define.h"

class WL04BLINKView : public WL04BLINKViewBase
{
public:
    WL04BLINKView();
    virtual ~WL04BLINKView() {}
    virtual void setupScreen();
    virtual void tearDownScreen();
    virtual void keyUpdate(uint8_t val);
    virtual void trigger();
    virtual void watchdogstatus(uint8_t *val);

        void moveNext();
        void movePrevious();
        void moveNextScreen();
        void moveBackScreen();
protected:
        uint8_t state;
        uint16_t blink;
        uint32_t key_position;
};

#endif // WL04BLINKVIEW_HPP
