#ifndef WL05BLINKVIEW_HPP
#define WL05BLINKVIEW_HPP

#include <gui_generated/wl05blink_screen/WL05BLINKViewBase.hpp>
#include <gui/wl05blink_screen/WL05BLINKPresenter.hpp>
#include "../../../../Core/Maximatecc/user_modify_files/User_Define.h"

class WL05BLINKView : public WL05BLINKViewBase
{
public:
    WL05BLINKView();
    virtual ~WL05BLINKView() {}
    virtual void setupScreen();
    virtual void tearDownScreen();
    virtual void keyUpdate(uint8_t val);
    virtual void trigger();
    virtual void watchdogstatus(uint8_t *val);

        void moveNext();
        void movePrevious();
        void moveNextScreen();
        void moveBackScreen();
protected:
        uint8_t state;
        uint16_t blink;
        uint32_t key_position;
};

#endif // WL05BLINKVIEW_HPP
