#ifndef WL07BLINKVIEW_HPP
#define WL07BLINKVIEW_HPP

#include <gui_generated/wl07blink_screen/WL07BLINKViewBase.hpp>
#include <gui/wl07blink_screen/WL07BLINKPresenter.hpp>
#include "../../../../Core/Maximatecc/user_modify_files/User_Define.h"

class WL07BLINKView : public WL07BLINKViewBase
{
public:
    WL07BLINKView();
    virtual ~WL07BLINKView() {}
    virtual void setupScreen();
    virtual void tearDownScreen();
    virtual void keyUpdate(uint8_t val);
    virtual void trigger();
    virtual void watchdogstatus(uint8_t *val);

        void moveNext();
        void movePrevious();
        void moveNextScreen();
        void moveBackScreen();
protected:
    uint8_t state;
    uint16_t blink;
    uint32_t key_position;
};

#endif // WL07BLINKVIEW_HPP
