#ifndef WL12BLINKVIEW_HPP
#define WL12BLINKVIEW_HPP

#include <gui_generated/wl12blink_screen/WL12BLINKViewBase.hpp>
#include <gui/wl12blink_screen/WL12BLINKPresenter.hpp>
#include "../../../../Core/Maximatecc/user_modify_files/User_Define.h"

class WL12BLINKView : public WL12BLINKViewBase
{
public:
    WL12BLINKView();
    virtual ~WL12BLINKView() {}
    virtual void setupScreen();
    virtual void tearDownScreen();
    virtual void keyUpdate(uint8_t val);
    virtual void trigger();
    virtual void watchdogstatus(uint8_t *val);

        void moveNext();
        void movePrevious();
        void moveNextScreen();
        void moveBackScreen();
protected:
    uint8_t state;
    uint16_t blink;
    uint32_t key_position;
};

#endif // WL12BLINKVIEW_HPP
