#ifndef WL13BLINKPRESENTER_HPP
#define WL13BLINKPRESENTER_HPP

#include <gui/model/ModelListener.hpp>
#include <mvp/Presenter.hpp>

using namespace touchgfx;

class WL13BLINKView;

class WL13BLINKPresenter : public touchgfx::Presenter, public ModelListener
{
public:
    WL13BLINKPresenter(WL13BLINKView& v);

    /**
     * The activate function is called automatically when this screen is "switched in"
     * (ie. made active). Initialization logic can be placed here.
     */
    virtual void activate();

    /**
     * The deactivate function is called automatically when this screen is "switched out"
     * (ie. made inactive). Teardown functionality can be placed here.
     */
    virtual void deactivate();

    virtual ~WL13BLINKPresenter() {};
    virtual void watchdogstatus(uint8_t *val);

    virtual void keyUpdate(uint8_t val);
    virtual void trigger();

private:
    WL13BLINKPresenter();

    WL13BLINKView& view;
};

#endif // WL13BLINKPRESENTER_HPP
