#ifndef WL13BLINKVIEW_HPP
#define WL13BLINKVIEW_HPP

#include <gui_generated/wl13blink_screen/WL13BLINKViewBase.hpp>
#include <gui/wl13blink_screen/WL13BLINKPresenter.hpp>
#include "../../../../Core/Maximatecc/user_modify_files/User_Define.h"

class WL13BLINKView : public WL13BLINKViewBase
{
public:
    WL13BLINKView();
    virtual ~WL13BLINKView() {}
    virtual void setupScreen();
    virtual void tearDownScreen();
    virtual void keyUpdate(uint8_t val);
    virtual void trigger();
    virtual void watchdogstatus(uint8_t *val);

        void moveNext();
        void movePrevious();
        void moveNextScreen();
        void moveBackScreen();
protected:
    uint8_t state;
    uint16_t blink;
    uint32_t key_position;
};

#endif // WL13BLINKVIEW_HPP
