#ifndef WL15BLINKVIEW_HPP
#define WL15BLINKVIEW_HPP

#include <gui_generated/wl15blink_screen/WL15BLINKViewBase.hpp>
#include <gui/wl15blink_screen/WL15BLINKPresenter.hpp>
#include "../../../../Core/Maximatecc/user_modify_files/User_Define.h"

class WL15BLINKView : public WL15BLINKViewBase
{
public:
    WL15BLINKView();
    virtual ~WL15BLINKView() {}
    virtual void setupScreen();
    virtual void tearDownScreen();
    virtual void keyUpdate(uint8_t val);
    virtual void trigger();
    virtual void watchdogstatus(uint8_t *val);

       void moveNext();
       void movePrevious();
       void moveNextScreen();
       void moveBackScreen();
protected:
    uint8_t state;
    uint16_t blink;
    uint32_t key_position;
};

#endif // WL15BLINKVIEW_HPP
