#ifndef WL18BLINKVIEW_HPP
#define WL18BLINKVIEW_HPP

#include <gui_generated/wl18blink_screen/WL18BLINKViewBase.hpp>
#include <gui/wl18blink_screen/WL18BLINKPresenter.hpp>
#include "../../../../Core/Maximatecc/user_modify_files/User_Define.h"

class WL18BLINKView : public WL18BLINKViewBase
{
public:
    WL18BLINKView();
    virtual ~WL18BLINKView() {}
    virtual void setupScreen();
    virtual void tearDownScreen();
    virtual void keyUpdate(uint8_t val);
    virtual void trigger();
    virtual void watchdogstatus(uint8_t *val);

       void moveNext();
       void movePrevious();
       void moveNextScreen();
       void moveBackScreen();
protected:
    uint8_t state;
    uint16_t blink;
    uint32_t key_position;
};

#endif // WL18BLINKVIEW_HPP
