#ifndef WL19BLINKVIEW_HPP
#define WL19BLINKVIEW_HPP

#include <gui_generated/wl19blink_screen/WL19BLINKViewBase.hpp>
#include <gui/wl19blink_screen/WL19BLINKPresenter.hpp>
#include "../../../../Core/Maximatecc/user_modify_files/User_Define.h"

class WL19BLINKView : public WL19BLINKViewBase
{
public:
    WL19BLINKView();
    virtual ~WL19BLINKView() {}
    virtual void setupScreen();
    virtual void tearDownScreen();
    virtual void keyUpdate(uint8_t val);
    virtual void trigger();
    virtual void watchdogstatus(uint8_t *val);

       void moveNext();
       void movePrevious();
       void moveNextScreen();
       void moveBackScreen();
protected:
    uint8_t state;
    uint16_t blink;
    uint32_t key_position;
};

#endif // WL19BLINKVIEW_HPP
