#include <gui/ble_screen/BLEView.hpp>
#include <touchgfx/Color.hpp>
#include "../../../../Core/Maximatecc/user_modify_files/User_Define.h"
Unicode::UnicodeChar buffer1[64];
uint8_t rxbuffer1[64];
Unicode::UnicodeChar trxbuffer3[64];
char str4[50];
BLEView::BLEView()
{
	key_position = 0;
}

void BLEView::setupScreen()
{
    BLEViewBase::setupScreen();
}

void BLEView::tearDownScreen()
{
    BLEViewBase::tearDownScreen();
}

void BLEView::trigger()
{

#if (SDK_SERVICE_BLE == PS_ENABLE)
	uint8_t status ;
	/* Get the RX status */
	Get_DL(BLE_RX_BUFFER_STATUS, &status);

	if(BLE_RX_MSG_PENDING == status)
	{
		/* Clear the memory */
		memset(&rxbuffer1[0], 0x00, sizeof(rxbuffer1));

		/* Read the Rx data from the DB */
		Get_DL(BLE_RX_DATA, (uint8_t *)&rxbuffer1[0]);

		memset(&trxbuffer3[0], 0x00, sizeof(trxbuffer3));
		Unicode::strncpy(&trxbuffer3[0], (const char*)&rxbuffer1[0] ,
		strlen((const char*)rxbuffer1));

		memset(RCVTEXTBBuffer, 0x00, sizeof(RCVTEXTBBuffer));
		Unicode::snprintf(RCVTEXTBBuffer, RCVTEXTB_SIZE, "%d %d %d %d %d", trxbuffer3[0], trxbuffer3[1] ,
							                                  trxbuffer3[2],trxbuffer3[3], trxbuffer3[4]);
		RCVTEXTB.invalidate();

		status = TRUE;
		/* Clear the RX buffer */
		Set_DL(BLE_RX_STATUS, &status);
	}

#endif
}

void BLEView::keyUpdate(uint8_t val)
{
#if (SDK_SERVICE_BLE == PS_ENABLE)
	if((KEY1_SHORT_PRESS == val) || (KEY1_LONG_PRESS == val))
	{

	}

	else
	if((KEY2_SHORT_PRESS == val))
	{

		key_position++;

		const char str4[] = "Test Application";
		const char str5[] = "Hello world";
		const char str6[] = "BLE testing";
		const char str7[] = "send ble";

		if (5 == key_position)
			key_position = 1;

		switch(key_position)
		{
		case 1:

			/* Clear the buffer */
			memset(&buffer1[0], 0x00, sizeof(buffer1));
			Unicode::strncpy(buffer1, str4 , strlen(str4));
			Unicode::snprintf(SENDTXTBBuffer, 20, "%s", buffer1);
			SENDTXTB.invalidate();
			break;

		case 2:

			/* Clear the buffer */
			memset(&buffer1[0], 0x00, sizeof(buffer1));
			Unicode::strncpy(buffer1, str5 , strlen(str5));
			Unicode::snprintf(SENDTXTBBuffer, 20, "%s", buffer1);
			SENDTXTB.invalidate();
		    break;

		case 3:

			/* Clear the buffer */
			memset(&buffer1[0], 0x00, sizeof(buffer1));
			Unicode::strncpy(buffer1, str6 , strlen(str6));
			Unicode::snprintf(SENDTXTBBuffer, 20, "%s", buffer1);
			SENDTXTB.invalidate();
			break;

		case 4:

			/* Clear the buffer */
			memset(&buffer1[0], 0x00, sizeof(buffer1));
			Unicode::strncpy(buffer1, str7 , strlen(str7));
			Unicode::snprintf(SENDTXTBBuffer, 20, "%s", buffer1);
			SENDTXTB.invalidate();

			break;
		default:
			 ;
		 break;

	   }

    }

	else
	if(KEY2_LONG_PRESS == val)
	{

	}

	if((KEY3_SHORT_PRESS == val) || (KEY3_LONG_PRESS == val))
	{
		application().gotoIngtestScreenNoTransition();
	}

	if((KEY4_SHORT_PRESS == val) || (KEY4_LONG_PRESS == val))
	{
		/*set the BLE tx data */
		Set_DL(BLE_TX_DATA , (uint8_t *)&buffer1[0]);
	}
#endif
}

void BLEView::moveNextScreen()
{

}

void BLEView::moveBackScreen()
{

}
void BLEView::moveNext()
{
}
void BLEView::movePrevious()
{
}

void BLEView::watchdogstatus(uint8_t *val)
{
	*val = 0;
}
