#include <gui/canxt_screen/CANXTView.hpp>
#include <touchgfx/Color.hpp>
#include "../../../../Core/Maximatecc/user_modify_files/User_Define.h"
CANXTView::CANXTView()
{
	key_position = 1;
	/* Active the first button */
	CAN0.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
	CAN0.invalidate();
}

void CANXTView::setupScreen()
{
    CANXTViewBase::setupScreen();
}

void CANXTView::tearDownScreen()
{
    CANXTViewBase::tearDownScreen();
}

void CANXTView::keyUpdate(uint8_t val)
{
	if((KEY1_SHORT_PRESS == val) || (KEY1_LONG_PRESS == val))
		movePrevious();
	else
	if((KEY2_SHORT_PRESS == val) || (KEY2_LONG_PRESS == val))
		moveNext();
	else
	if((KEY3_SHORT_PRESS == val) || (KEY3_LONG_PRESS == val))
		moveNextScreen();
	else
	if((KEY4_SHORT_PRESS == val) || (KEY4_LONG_PRESS == val))
		moveBackScreen();

}

void CANXTView::moveNextScreen()
{
	switch(key_position)
	{
	case 1:
		application().gotoCAN2ScreenNoTransition();
		break;

	case 2:
		application().gotoCANScreenNoTransition();
		break;

	default:
		break;

	}
}

void CANXTView::moveBackScreen()
{
	application().gotoIngtestScreenNoTransition();
}
void CANXTView::moveNext()
{
	key_position++;

		if (3 == key_position)
			key_position = 1;

		switch(key_position)
		{
		case 1:
			/* DESelect the Keypad button */
			CAN1.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
			CAN1.invalidate();

			/* Select the Keypad button */
			CAN0.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
			CAN0.invalidate();
			break;
		case 2:
			/* DESelect the Keypad button */
			CAN0.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
			CAN0.invalidate();

			/* Select the Keypad button */
			CAN1.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
			CAN1.invalidate();
			break;
		default:
				break;
		}

}
void CANXTView::movePrevious()
{

}


void CANXTView::trigger()
{

}

void CANXTView::watchdogstatus(uint8_t *val)
{
	*val = 0;

}
