#include <gui/ci_screen/CIView.hpp>
#include "string.h"
#include <touchgfx/Color.hpp>
#include "../../../../Core/Maximatecc/user_modify_files/User_Define.h"

extern void StopStreaming();

CIView::CIView()
{
	value = 0;
	cfg_type = 0;
	currenttype   = 1;
	key_position  = 1;
	position      = 0;
	key_position1 = 1;
	key_position2 = 1;
	key_position3 = 1;
	key_position4 = 1;
	key_position5 = 1;
	key_position6 = 1;

	/* Active the first button */
	CI1TYPETA.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
	CI1TYPETA.invalidate();
#if (SDK_SERVICE_CFG_INPUT == PS_ENABLE)

	Get_DL(CFG_INPUT_01_TYPE , &input1_type);

	if(CI_INPUT_FREQUENCY == input1_type)
	{
		/* Update the Initial State */
		Unicode::snprintf(CI1TYPETABuffer, CI1TYPETA_SIZE, "Frequency");
		CI1TYPETA.invalidate();
	}
	else if(CI_INPUT_CURRENT == input1_type)
	{
		/* Update the Initial State */
		Unicode::snprintf(CI1TYPETABuffer, CI1TYPETA_SIZE, "Frequency");
		CI1TYPETA.invalidate();
	}
	else if(CI_INPUT_RESISTANCE == input1_type)
	{
		/* Update the Initial State */
		Unicode::snprintf(CI1TYPETABuffer, CI1TYPETA_SIZE, "Resistance");
		CI1TYPETA.invalidate();
	}
	else if(CI_DIGITAL_STG == input1_type)
	{
		/* Update the Initial State */
		Unicode::snprintf(CI1TYPETABuffer, CI1TYPETA_SIZE, "Digital STG");
		CI1TYPETA.invalidate();
	}
	else if(CI_DIGITAL_STB == input1_type)
	{
		/* Update the Initial State */
		Unicode::snprintf(CI1TYPETABuffer, CI1TYPETA_SIZE, "Digital STB");
		CI1TYPETA.invalidate();
	}
	else if(CI_INPUT_VOLTAGE_HIGH == input1_type)
	{
		/* Update the Initial State */
		Unicode::snprintf(CI1TYPETABuffer, CI1TYPETA_SIZE, "Voltage_32");
		CI1TYPETA.invalidate();
	}
	else if(CI_INPUT_VOLTAGE_LOW_6V == input1_type)
	{
		/* Update the Initial State */
		Unicode::snprintf(CI1TYPETABuffer, CI1TYPETA_SIZE, "Voltage_6");
		CI1TYPETA.invalidate();
	}

	Get_DL(CFG_INPUT_02_TYPE , &input2_type);

	if(CI_INPUT_FREQUENCY == input2_type)
	{
		/* Update the Initial State */
		Unicode::snprintf(CI2TYPETABuffer, CI2TYPETA_SIZE, "Frequency");
		CI2TYPETA.invalidate();
	}
	else if(CI_INPUT_CURRENT == input2_type)
	{
		/* Update the Initial State */
		Unicode::snprintf(CI2TYPETABuffer, CI2TYPETA_SIZE, "Frequency");
		CI2TYPETA.invalidate();
	}
	else if(CI_INPUT_RESISTANCE == input2_type)
	{
		/* Update the Initial State */
		Unicode::snprintf(CI2TYPETABuffer, CI2TYPETA_SIZE, "Resistance");
		CI2TYPETA.invalidate();
	}
	else if(CI_DIGITAL_STG == input2_type)
	{
		/* Update the Initial State */
		Unicode::snprintf(CI2TYPETABuffer, CI2TYPETA_SIZE, "Digital STG");
		CI2TYPETA.invalidate();
	}
	else if(CI_DIGITAL_STB == input2_type)
	{
		/* Update the Initial State */
		Unicode::snprintf(CI2TYPETABuffer, CI2TYPETA_SIZE, "Digital STB");
		CI2TYPETA.invalidate();
	}
	else if(CI_INPUT_VOLTAGE_HIGH == input2_type)
	{
		/* Update the Initial State */
		Unicode::snprintf(CI2TYPETABuffer, CI2TYPETA_SIZE, "Voltage_32");
		CI2TYPETA.invalidate();
	}
	else if(CI_INPUT_VOLTAGE_LOW_6V == input2_type)
	{
		/* Update the Initial State */
		Unicode::snprintf(CI2TYPETABuffer, CI2TYPETA_SIZE, "Voltage_6");
		CI2TYPETA.invalidate();
	}

	Get_DL(CFG_INPUT_03_TYPE , &input3_type);

	if(CI_INPUT_FREQUENCY == input3_type)
	{
		/* Update the Initial State */
		Unicode::snprintf(CI3TYPETABuffer, CI3TYPETA_SIZE, "Frequency");
		CI3TYPETA.invalidate();
	}
	else if(CI_INPUT_CURRENT == input3_type)
	{
		/* Update the Initial State */
		Unicode::snprintf(CI3TYPETABuffer, CI3TYPETA_SIZE, "Frequency");
		CI3TYPETA.invalidate();
	}
	else if(CI_INPUT_RESISTANCE == input3_type)
	{
		/* Update the Initial State */
		Unicode::snprintf(CI3TYPETABuffer, CI3TYPETA_SIZE, "Resistance");
		CI3TYPETA.invalidate();
	}
	else if(CI_DIGITAL_STG == input3_type)
	{
		/* Update the Initial State */
		Unicode::snprintf(CI3TYPETABuffer, CI3TYPETA_SIZE, "Digital STG");
		CI3TYPETA.invalidate();
	}
	else if(CI_DIGITAL_STB == input3_type)
	{
		/* Update the Initial State */
		Unicode::snprintf(CI3TYPETABuffer, CI3TYPETA_SIZE, "Digital STB");
		CI3TYPETA.invalidate();
	}
	else if(CI_INPUT_VOLTAGE_HIGH == input3_type)
	{
		/* Update the Initial State */
		Unicode::snprintf(CI3TYPETABuffer, CI3TYPETA_SIZE, "Voltage_32");
		CI3TYPETA.invalidate();
	}
	else if(CI_INPUT_VOLTAGE_LOW_6V == input3_type)
	{
		/* Update the Initial State */
		Unicode::snprintf(CI3TYPETABuffer, CI3TYPETA_SIZE, "Voltage_6");
		CI3TYPETA.invalidate();
	}

	Get_DL(CFG_INPUT_04_TYPE , &input4_type);

	if(CI_INPUT_FREQUENCY == input4_type)
	{
		/* Update the Initial State */
		Unicode::snprintf(CI4TYPETABuffer, CI4TYPETA_SIZE, "Frequency");
		CI4TYPETA.invalidate();
	}
	else if(CI_INPUT_CURRENT == input4_type)
	{
		/* Update the Initial State */
		Unicode::snprintf(CI4TYPETABuffer, CI4TYPETA_SIZE, "Frequency");
		CI4TYPETA.invalidate();
	}
	else if(CI_INPUT_RESISTANCE == input4_type)
	{
		/* Update the Initial State */
		Unicode::snprintf(CI4TYPETABuffer, CI4TYPETA_SIZE, "Resistance");
		CI4TYPETA.invalidate();
	}
	else if(CI_DIGITAL_STG == input4_type)
	{
		/* Update the Initial State */
		Unicode::snprintf(CI4TYPETABuffer, CI4TYPETA_SIZE, "Digital STG");
		CI4TYPETA.invalidate();
	}
	else if(CI_DIGITAL_STB == input4_type)
	{
		/* Update the Initial State */
		Unicode::snprintf(CI4TYPETABuffer, CI4TYPETA_SIZE, "Digital STB");
		CI4TYPETA.invalidate();
	}
	else if(CI_INPUT_VOLTAGE_HIGH == input4_type)
	{
		/* Update the Initial State */
		Unicode::snprintf(CI4TYPETABuffer, CI4TYPETA_SIZE, "Voltage_32");
		CI4TYPETA.invalidate();
	}
	else if(CI_INPUT_VOLTAGE_LOW_6V == input4_type)
	{
		/* Update the Initial State */
		Unicode::snprintf(CI4TYPETABuffer, CI4TYPETA_SIZE, "Voltage_6");
		CI4TYPETA.invalidate();
	}

	Get_DL(CFG_INPUT_05_TYPE , &input5_type);

	if(CI_INPUT_FREQUENCY == input5_type)
	{
		/* Update the Initial State */
		Unicode::snprintf(CI5TYPETABuffer, CI5TYPETA_SIZE, "Frequency");
		CI5TYPETA.invalidate();
	}
	else if(CI_INPUT_CURRENT == input5_type)
	{
		/* Update the Initial State */
		Unicode::snprintf(CI5TYPETABuffer, CI5TYPETA_SIZE, "Frequency");
		CI5TYPETA.invalidate();
	}
	else if(CI_INPUT_RESISTANCE == input5_type)
	{
		/* Update the Initial State */
		Unicode::snprintf(CI5TYPETABuffer, CI5TYPETA_SIZE, "Resistance");
		CI5TYPETA.invalidate();
	}
	else if(CI_DIGITAL_STG == input5_type)
	{
		/* Update the Initial State */
		Unicode::snprintf(CI5TYPETABuffer, CI5TYPETA_SIZE, "Digital STG");
		CI5TYPETA.invalidate();
	}
	else if(CI_DIGITAL_STB == input5_type)
	{
		/* Update the Initial State */
		Unicode::snprintf(CI5TYPETABuffer, CI5TYPETA_SIZE, "Digital STB");
		CI5TYPETA.invalidate();
	}
	else if(CI_INPUT_VOLTAGE_HIGH == input5_type)
	{
		/* Update the Initial State */
		Unicode::snprintf(CI5TYPETABuffer, CI5TYPETA_SIZE, "Voltage_32");
		CI5TYPETA.invalidate();
	}
	else if(CI_INPUT_VOLTAGE_LOW_6V == input5_type)
	{
		/* Update the Initial State */
		Unicode::snprintf(CI5TYPETABuffer, CI5TYPETA_SIZE, "Voltage_6");
		CI5TYPETA.invalidate();
	}

	Get_DL(CFG_INPUT_06_TYPE , &input6_type);

	if(CI_INPUT_FREQUENCY == input6_type)
	{
		/* Update the Initial State */
		Unicode::snprintf(CI6TYPETABuffer, CI6TYPETA_SIZE, "Frequency");
		CI6TYPETA.invalidate();
	}
	else if(CI_INPUT_CURRENT == input6_type)
	{
		/* Update the Initial State */
		Unicode::snprintf(CI6TYPETABuffer, CI6TYPETA_SIZE, "Current");
		CI6TYPETA.invalidate();
	}
	else if(CI_INPUT_RESISTANCE == input6_type)
	{
		/* Update the Initial State */
		Unicode::snprintf(CI6TYPETABuffer, CI6TYPETA_SIZE, "Resistance");
		CI6TYPETA.invalidate();
	}
	else if(CI_DIGITAL_STG == input6_type)
	{
		/* Update the Initial State */
		Unicode::snprintf(CI6TYPETABuffer, CI6TYPETA_SIZE, "Digital STG");
		CI6TYPETA.invalidate();
	}
	else if(CI_DIGITAL_STB == input6_type)
	{
		/* Update the Initial State */
		Unicode::snprintf(CI6TYPETABuffer, CI6TYPETA_SIZE, "Digital STB");
		CI6TYPETA.invalidate();
	}
	else if(CI_INPUT_VOLTAGE_LOW_6V == input6_type)
	{
		/* Update the Initial State */
		Unicode::snprintf(CI6TYPETABuffer, CI6TYPETA_SIZE, "Voltage_6");
		CI6TYPETA.invalidate();
	}
#endif
}

void CIView::setupScreen()
{
    CIViewBase::setupScreen();
}

void CIView::tearDownScreen()
{
    CIViewBase::tearDownScreen();
}

void CIView::keyUpdate(uint8_t val)
{
#if (SDK_SERVICE_CFG_INPUT == PS_ENABLE)

	if(KEY1_LONG_PRESS == val)
	{
		{

			key_position++;

			if (7 == key_position)
				key_position = 1;

			switch(key_position)
			{
			case 1:
				/* DESelect the Keypad button */
				CI6TYPETA.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
				CI6TYPETA.invalidate();

				/* Select the Keypad button */
				CI1TYPETA.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
				CI1TYPETA.invalidate();
				break;

			case 2:
				/* DESelect the Keypad button */
				CI1TYPETA.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
				CI1TYPETA.invalidate();

				/* Select the Keypad button */
				CI2TYPETA.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
				CI2TYPETA.invalidate();
				break;

			case 3:
				/* DESelect the Keypad button */
				CI2TYPETA.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
				CI2TYPETA.invalidate();

				/* Select the Keypad button */
				CI3TYPETA.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
				CI3TYPETA.invalidate();
				break;

			case 4:
				/* DESelect the Keypad button */
				CI3TYPETA.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
				CI3TYPETA.invalidate();

				/* Select the Keypad button */
				CI4TYPETA.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
				CI4TYPETA.invalidate();
				break;

			case 5:
				/* DESelect the Keypad button */
				CI4TYPETA.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
				CI4TYPETA.invalidate();

				/* Select the Keypad button */
				CI5TYPETA.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
				CI5TYPETA.invalidate();
				break;

			case 6:
				/* DESelect the Keypad button */
				CI5TYPETA.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
				CI5TYPETA.invalidate();

				/* Select the Keypad button */
				CI6TYPETA.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
				CI6TYPETA.invalidate();
				break;
			default :
				break;
			}
		}

	}

	else if(KEY1_SHORT_PRESS == val)
	{
		if(key_position == 1)
         {
			key_position1++;

			if (7 == key_position1)
				key_position1 = 0;

			switch(key_position1)
			{
				case 1:
					input1_type = CI_INPUT_FREQUENCY;
					Unicode::snprintf(CI1TYPETABuffer, CI1TYPETA_SIZE, "Frequency");
					CI1TYPETA.invalidate();
					break;

				case 2:
					input1_type = CI_INPUT_RESISTANCE;
					Unicode::snprintf(CI1TYPETABuffer, CI1TYPETA_SIZE, "Resistance");
					CI1TYPETA.invalidate();
					break;

				case 3:
					input1_type = CI_DIGITAL_STG;
					Unicode::snprintf(CI1TYPETABuffer, CI1TYPETA_SIZE, "Digital STG");
					CI1TYPETA.invalidate();
					break;

				case 4:
					input1_type = CI_DIGITAL_STB;
					Unicode::snprintf(CI1TYPETABuffer, CI1TYPETA_SIZE, "Digital STB");
					CI1TYPETA.invalidate();
					break;

				case 5:
					input1_type = CI_INPUT_VOLTAGE_HIGH;
					Unicode::snprintf(CI1TYPETABuffer, CI1TYPETA_SIZE, "Voltage_32");
					CI1TYPETA.invalidate();
					break;

				case 6:
					input1_type = CI_INPUT_VOLTAGE_LOW_6V;
					Unicode::snprintf(CI1TYPETABuffer, CI1TYPETA_SIZE, "Voltage_6");
					CI1TYPETA.invalidate();
					break;

				default :
					break;

			}
         }

		if(key_position == 2)
		{
			key_position2++;

			if (7 == key_position2)
				key_position2 = 1;

			switch(key_position2)
			{
				case 1:
					input2_type = CI_INPUT_FREQUENCY;
					Unicode::snprintf(CI2TYPETABuffer, CI2TYPETA_SIZE, "Frequency");
					CI2TYPETA.invalidate();
					break;

				case 2:
					input2_type = CI_INPUT_RESISTANCE;
					Unicode::snprintf(CI2TYPETABuffer, CI2TYPETA_SIZE, "Resistance");
					CI2TYPETA.invalidate();
					break;

				case 3:
					input2_type = CI_DIGITAL_STG;
					Unicode::snprintf(CI2TYPETABuffer, CI2TYPETA_SIZE, "Digital STG");
					CI2TYPETA.invalidate();
					break;

				case 4:
					input2_type = CI_DIGITAL_STB;
					Unicode::snprintf(CI2TYPETABuffer, CI2TYPETA_SIZE, "Digital STB");
					CI2TYPETA.invalidate();
					break;

				case 5:
					input2_type = CI_INPUT_VOLTAGE_HIGH;
					Unicode::snprintf(CI2TYPETABuffer, CI2TYPETA_SIZE, "Voltage_32");
					CI2TYPETA.invalidate();
					break;

				case 6:
					input2_type = CI_INPUT_VOLTAGE_LOW_6V;
					Unicode::snprintf(CI2TYPETABuffer, CI2TYPETA_SIZE, "Voltage_6");
					CI2TYPETA.invalidate();
					break;

				default :
					break;
			}
		}

		if(key_position == 3)
		{
			key_position3++;

			if (7 == key_position3)
				key_position3 = 1;

			switch(key_position3)
			{
				case 1:
					input3_type = CI_INPUT_FREQUENCY;
					Unicode::snprintf(CI3TYPETABuffer, CI3TYPETA_SIZE, "Frequency");
					CI3TYPETA.invalidate();
					break;

				case 2:
					input3_type = CI_INPUT_RESISTANCE;
					Unicode::snprintf(CI3TYPETABuffer, CI3TYPETA_SIZE, "Resistance");
					CI3TYPETA.invalidate();
					break;

				case 3:
					input3_type = CI_DIGITAL_STG;
					Unicode::snprintf(CI3TYPETABuffer, CI3TYPETA_SIZE, "Digital STG");
					CI3TYPETA.invalidate();
					break;

				case 4:
					input3_type = CI_DIGITAL_STB;
					Unicode::snprintf(CI3TYPETABuffer, CI3TYPETA_SIZE, "Digital STB");
					CI3TYPETA.invalidate();
					break;

				case 5:
					input3_type = CI_INPUT_VOLTAGE_HIGH;
					Unicode::snprintf(CI3TYPETABuffer, CI3TYPETA_SIZE, "Voltage_32");
					CI3TYPETA.invalidate();
					break;

				case 6:
					input3_type = CI_INPUT_VOLTAGE_LOW_6V;
					Unicode::snprintf(CI3TYPETABuffer, CI3TYPETA_SIZE, "Voltage_6");
					CI3TYPETA.invalidate();
					break;

				default :
					break;

			}
		}

		if(key_position == 4)
		{
			key_position4++;

			if (7 == key_position4)
				key_position4 = 1;

			switch(key_position4)
			{
				case 1:
					input4_type = CI_INPUT_FREQUENCY;
					Unicode::snprintf(CI4TYPETABuffer, CI4TYPETA_SIZE, "Frequency");
					CI4TYPETA.invalidate();
					break;

				case 2:
					input4_type = CI_INPUT_RESISTANCE;
					Unicode::snprintf(CI4TYPETABuffer, CI4TYPETA_SIZE, "Resistance");
					CI4TYPETA.invalidate();
					break;

				case 3:
					input4_type = CI_DIGITAL_STG;
					Unicode::snprintf(CI4TYPETABuffer, CI4TYPETA_SIZE, "Digital STG");
					CI4TYPETA.invalidate();
					break;

				case 4:
					input4_type = CI_DIGITAL_STB;
					Unicode::snprintf(CI4TYPETABuffer, CI4TYPETA_SIZE, "Digital STB");
					CI4TYPETA.invalidate();
					break;

				case 5:
					input4_type = CI_INPUT_VOLTAGE_HIGH;
					Unicode::snprintf(CI4TYPETABuffer, CI4TYPETA_SIZE, "Voltage_32");
					CI4TYPETA.invalidate();
					break;

				case 6:
					input4_type = CI_INPUT_VOLTAGE_LOW_6V;
					Unicode::snprintf(CI4TYPETABuffer, CI4TYPETA_SIZE, "Voltage_6");
					CI4TYPETA.invalidate();
					break;

				default :
					break;

			}
		}


		if(key_position == 5)
		{
			key_position5++;

			if (7 == key_position5)
				key_position5 = 1;

			switch(key_position5)
			{
				case 1:
					input5_type = CI_INPUT_FREQUENCY;
					Unicode::snprintf(CI5TYPETABuffer, CI5TYPETA_SIZE, "Frequency");
					CI5TYPETA.invalidate();
					break;

				case 2:
					input5_type = CI_INPUT_RESISTANCE;
					Unicode::snprintf(CI5TYPETABuffer, CI5TYPETA_SIZE, "Resistance");
					CI5TYPETA.invalidate();
					break;

				case 3:
					input5_type = CI_DIGITAL_STG;
					Unicode::snprintf(CI5TYPETABuffer, CI5TYPETA_SIZE, "Digital STG");
					CI5TYPETA.invalidate();
					break;

				case 4:
					input5_type = CI_DIGITAL_STB;
					Unicode::snprintf(CI5TYPETABuffer, CI5TYPETA_SIZE, "Digital STB");
					CI5TYPETA.invalidate();
					break;

				case 5:
					input5_type = CI_INPUT_VOLTAGE_HIGH;
					Unicode::snprintf(CI5TYPETABuffer, CI5TYPETA_SIZE, "Voltage_32");
					CI5TYPETA.invalidate();
					break;

				case 6:
					input5_type = CI_INPUT_VOLTAGE_LOW_6V;
					Unicode::snprintf(CI5TYPETABuffer, CI5TYPETA_SIZE, "Voltage_6");
					CI5TYPETA.invalidate();
					break;

				default :
					break;
			}
		}

		if(key_position == 6)
		{
			key_position6++;

			if (4 == key_position6)
				key_position6 = 1;

			switch(key_position6)
			{
				case 1:
					input6_type = CI_INPUT_RESISTANCE;
					Unicode::snprintf(CI6TYPETABuffer, CI6TYPETA_SIZE, "Resistance");
					CI6TYPETA.invalidate();
					break;

				case 2:
					input6_type = CI_INPUT_CURRENT;
					Unicode::snprintf(CI6TYPETABuffer, CI6TYPETA_SIZE, "Current");
					CI6TYPETA.invalidate();
					break;

				case 3:
					input6_type = CI_INPUT_VOLTAGE_LOW_6V;
					Unicode::snprintf(CI6TYPETABuffer, CI6TYPETA_SIZE, "Voltage_6");
					CI6TYPETA.invalidate();
					break;

				default :
					break;

			}
		}
	}
	else
	if((KEY2_SHORT_PRESS == val) || (KEY2_LONG_PRESS == val))
		movePrevious();
	else
	if((KEY3_SHORT_PRESS == val) || (KEY3_LONG_PRESS == val))
		settype();
	else
	if((KEY4_SHORT_PRESS == val) || (KEY4_LONG_PRESS == val))
		moveBackScreen();
#endif
}

void CIView::settype()
{
#if (SDK_SERVICE_CFG_INPUT == PS_ENABLE)

	//uint8_t state;

	if (1 == key_position)
	{
		Set_DL(CFG_INPUT_01_TYPE , &input1_type);
	}
	else
	if (2 == key_position)
	{
		Set_DL(CFG_INPUT_02_TYPE , &input2_type);
	}
	else
	if (3 == key_position)
	{
		Set_DL(CFG_INPUT_03_TYPE , &input3_type);
	}
	else
	if (4 == key_position)
	{
		Set_DL(CFG_INPUT_04_TYPE , &input4_type);
	}
	else
	if (5 == key_position)
	{
		Set_DL(CFG_INPUT_05_TYPE , &input5_type);
	}
	else
	if (6 == key_position)
	{
		Set_DL(CFG_INPUT_06_TYPE , &input6_type);
	}
#endif
}

void CIView::moveBackScreen()
{
	application().gotoIngtestScreenNoTransition();
}

void CIView::movePrevious()
{

	key_position--;

	if (0 == key_position)
		key_position = 6;

	switch(key_position)
	{
	case 1:
		/* Select the Keypad button */
		CI1TYPETA.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
		CI1TYPETA.invalidate();

		/* DESelect the Keypad button */
		CI2TYPETA.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
		CI2TYPETA.invalidate();
		break;

	case 2:
		/* Select the Keypad button */
		CI2TYPETA.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
		CI2TYPETA.invalidate();

		/* DESelect the Keypad button */
		CI3TYPETA.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
		CI3TYPETA.invalidate();
		break;

	case 3:
		/* Select the Keypad button */
		CI3TYPETA.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
		CI3TYPETA.invalidate();

		/* DESelect the Keypad button */
		CI4TYPETA.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
		CI4TYPETA.invalidate();
		break;

	case 4:
		/* Select the Keypad button */
		CI4TYPETA.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
		CI4TYPETA.invalidate();

		/* DESelect the Keypad button */
		CI5TYPETA.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
		CI5TYPETA.invalidate();
		break;

	case 5:
		/* Select the Keypad button */
		CI5TYPETA.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
		CI5TYPETA.invalidate();

		/* DESelect the Keypad button */
		CI6TYPETA.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
		CI6TYPETA.invalidate();
		break;

	case 6:
		/* Select the Keypad button */
		CI6TYPETA.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
		CI6TYPETA.invalidate();

		/* DESelect the Keypad button */
		CI1TYPETA.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
		CI1TYPETA.invalidate();
		break;
	default :
        break;
	}

}

void CIView::trigger()
{
#if (SDK_SERVICE_CFG_INPUT == PS_ENABLE)

	uint32_t val = 0;
	uint8_t STG_val = 0;
	uint8_t STB_val = 0;

	update_val ++;

	/* Update AI1 Value */
	if (33 > update_val)
	{
		return;
	}
	update_val = 0;

//	if (1 == key_position)
	{
		if(CI_INPUT_FREQUENCY == input1_type)
		{
			val = 0;
			Get_DL(CFG_INPUT_01_FREQUENCY , (uint8_t *)&val);
			val=val/10;
			Unicode::snprintf(AI1TABuffer, AI1TA_SIZE, "%d", val);
			AI1TA.invalidate();
		}
		else
		if(CI_INPUT_VOLTAGE_HIGH == input1_type)
		{
			val = 0;
			Get_DL(CFG_INPUT_01_VOLTAGE_32V , (uint8_t *)&val);
			Unicode::snprintf(AI1TABuffer, AI1TA_SIZE, "%d", val);
			AI1TA.invalidate();
		}
		else
		if(CI_INPUT_VOLTAGE_LOW_6V == input1_type)
		{
			val = 0;
			Get_DL(CFG_INPUT_01_VOLTAGE_LOW_6V , (uint8_t *)&val);
			Unicode::snprintf(AI1TABuffer, AI1TA_SIZE, "%d", val);
			AI1TA.invalidate();
		}

		else
		if(CI_INPUT_RESISTANCE == input1_type)
		{
			val = 0;
			Get_DL(CFG_INPUT_01_RESISTANCE , (uint8_t *)&val);
			Unicode::snprintf(AI1TABuffer, AI1TA_SIZE, "%d", val);
			AI1TA.invalidate();
		}

		else
		if(CI_DIGITAL_STG == input1_type)
		{
			val = 0;
			Get_DL(CFG_INPUT_01_DIGITAL_STG , (uint8_t *)&val);
			Unicode::snprintf(AI1TABuffer, AI1TA_SIZE, "%d", val);
			AI1TA.invalidate();
		}

		else
		if(CI_DIGITAL_STB == input1_type)
		{
			val = 0;
			Get_DL(CFG_INPUT_01_DIGITAL_STB , (uint8_t *)&val);
			Unicode::snprintf(AI1TABuffer, AI1TA_SIZE, "%d", val);
			AI1TA.invalidate();
		}
	}

	//if (2 == key_position)
	{
		if(CI_INPUT_FREQUENCY == input2_type)
		{
			val = 0;
			Get_DL(CFG_INPUT_02_FREQUENCY , (uint8_t *)&val);
			val=val/10;
			Unicode::snprintf(AI2TABuffer, AI2TA_SIZE, "%d", val);
			AI2TA.invalidate();
		}
		else
		if(CI_INPUT_VOLTAGE_HIGH == input2_type)
		{
			val = 0;
			Get_DL(CFG_INPUT_02_VOLTAGE_32V , (uint8_t *)&val);
			Unicode::snprintf(AI2TABuffer, AI2TA_SIZE, "%d", val);
			AI2TA.invalidate();
		}
		else
		if(CI_INPUT_VOLTAGE_LOW_6V == input2_type)
		{
			val = 0;
			Get_DL(CFG_INPUT_02_VOLTAGE_LOW_6V , (uint8_t *)&val);
			Unicode::snprintf(AI2TABuffer, AI2TA_SIZE, "%d", val);
			AI2TA.invalidate();
		}

		else
		if(CI_INPUT_RESISTANCE == input2_type)
		{
			val = 0;
			Get_DL(CFG_INPUT_02_RESISTANCE , (uint8_t *)&val);
			Unicode::snprintf(AI2TABuffer, AI2TA_SIZE, "%d", val);
			AI2TA.invalidate();
		}

		else
		if(CI_DIGITAL_STG == input2_type)
		{
			val = 0;
			Get_DL(CFG_INPUT_02_DIGITAL_STG , (uint8_t *)&val);
			Unicode::snprintf(AI2TABuffer, AI2TA_SIZE, "%d", val);
			AI2TA.invalidate();
		}

		else
		if(CI_DIGITAL_STB == input2_type)
		{
			val = 0;
			Get_DL(CFG_INPUT_02_DIGITAL_STB , (uint8_t *)&val);
			Unicode::snprintf(AI2TABuffer, AI2TA_SIZE, "%d", val);
			AI2TA.invalidate();
		}
	}
	//if (3 == key_position)
	{
		if(CI_INPUT_FREQUENCY == input3_type)
		{
			val = 0;
			Get_DL(CFG_INPUT_03_FREQUENCY , (uint8_t *)&val);
			val=val/10;
			Unicode::snprintf(AI3TABuffer, AI3TA_SIZE, "%d", val);
			AI3TA.invalidate();
		}
		else
		if(CI_INPUT_VOLTAGE_HIGH == input3_type)
		{
			val = 0;
			Get_DL(CFG_INPUT_03_VOLTAGE_32V , (uint8_t *)&val);
			Unicode::snprintf(AI3TABuffer, AI3TA_SIZE, "%d", val);
			AI3TA.invalidate();
		}
		else
		if(CI_INPUT_VOLTAGE_LOW_6V == input3_type)
		{
			val = 0;
			Get_DL(CFG_INPUT_03_VOLTAGE_LOW_6V , (uint8_t *)&val);
			Unicode::snprintf(AI3TABuffer, AI3TA_SIZE, "%d", val);
			AI3TA.invalidate();
		}

		else
		if(CI_INPUT_RESISTANCE == input3_type)
		{
			val = 0;
			Get_DL(CFG_INPUT_03_RESISTANCE , (uint8_t *)&val);
			Unicode::snprintf(AI3TABuffer, AI3TA_SIZE, "%d", val);
			AI3TA.invalidate();
		}

		else
		if(CI_DIGITAL_STG == input3_type)
		{
			val = 0;
			Get_DL(CFG_INPUT_03_DIGITAL_STG , (uint8_t *)&val);
			Unicode::snprintf(AI3TABuffer, AI3TA_SIZE, "%d", val);
			AI3TA.invalidate();
		}

		else
		if(CI_DIGITAL_STB == input3_type)
		{
			val = 0;
			Get_DL(CFG_INPUT_03_DIGITAL_STB , (uint8_t *)&val);
			Unicode::snprintf(AI3TABuffer, AI3TA_SIZE, "%d", val);
			AI3TA.invalidate();
		}
	}
//	if (4 == key_position)
	{
		if(CI_INPUT_FREQUENCY == input4_type)
		{
			val = 0;
			Get_DL(CFG_INPUT_04_FREQUENCY , (uint8_t *)&val);
			val=val/10;
			Unicode::snprintf(AI4TABuffer, AI4TA_SIZE, "%d", val);
			AI4TA.invalidate();
		}
		else
		if(CI_INPUT_VOLTAGE_HIGH == input4_type)
		{
			val = 0;
			Get_DL(CFG_INPUT_04_VOLTAGE_32V , (uint8_t *)&val);
			Unicode::snprintf(AI4TABuffer, AI4TA_SIZE, "%d", val);
			AI4TA.invalidate();
		}
		else
		if(CI_INPUT_VOLTAGE_LOW_6V == input4_type)
		{
			val = 0;
			Get_DL(CFG_INPUT_04_VOLTAGE_LOW_6V , (uint8_t *)&val);
			Unicode::snprintf(AI4TABuffer, AI4TA_SIZE, "%d", val);
			AI4TA.invalidate();
		}

		else
		if(CI_INPUT_RESISTANCE == input4_type)
		{
			val = 0;
			Get_DL(CFG_INPUT_04_RESISTANCE , (uint8_t *)&val);
			Unicode::snprintf(AI4TABuffer, AI4TA_SIZE, "%d", val);
			AI4TA.invalidate();
		}

		else
		if(CI_DIGITAL_STG == input4_type)
		{
			val = 0;
			Get_DL(CFG_INPUT_04_DIGITAL_STG , (uint8_t *)&val);
			Unicode::snprintf(AI4TABuffer, AI4TA_SIZE, "%d", val);
			AI4TA.invalidate();
		}

		else
		if(CI_DIGITAL_STB == input4_type)
		{
			val = 0;
			Get_DL(CFG_INPUT_04_DIGITAL_STB , (uint8_t *)&val);
			Unicode::snprintf(AI4TABuffer, AI4TA_SIZE, "%d", val);
			AI4TA.invalidate();
		}
	}
//	if (5 == key_position)
	{
		if(CI_INPUT_FREQUENCY == input5_type)
		{
			val = 0;
			Get_DL(CFG_INPUT_05_FREQUENCY , (uint8_t *)&val);
			val=val/10;
			Unicode::snprintf(AI5TABuffer, AI5TA_SIZE, "%d", val);
			AI5TA.invalidate();
		}
		else
		if(CI_INPUT_VOLTAGE_HIGH == input5_type)
		{
			val = 0;
			Get_DL(CFG_INPUT_05_VOLTAGE_32V , (uint8_t *)&val);
			Unicode::snprintf(AI5TABuffer, AI5TA_SIZE, "%d", val);
			AI5TA.invalidate();
		}
		else
		if(CI_INPUT_VOLTAGE_LOW_6V == input5_type)
		{
			val = 0;
			Get_DL(CFG_INPUT_05_VOLTAGE_LOW_6V , (uint8_t *)&val);
			Unicode::snprintf(AI5TABuffer, AI5TA_SIZE, "%d", val);
			AI5TA.invalidate();
		}

		else
		if(CI_INPUT_RESISTANCE == input5_type)
		{
			val = 0;
			Get_DL(CFG_INPUT_05_RESISTANCE , (uint8_t *)&val);
			Unicode::snprintf(AI5TABuffer, AI5TA_SIZE, "%d", val);
			AI5TA.invalidate();
		}

		else
		if(CI_DIGITAL_STG == input5_type)
		{
			val = 0;
			Get_DL(CFG_INPUT_05_DIGITAL_STG , (uint8_t *)&val);
			Unicode::snprintf(AI5TABuffer, AI5TA_SIZE, "%d", val);
			AI5TA.invalidate();
		}

		else
		if(CI_DIGITAL_STB == input5_type)
		{
			val = 0;
			Get_DL(CFG_INPUT_05_DIGITAL_STB , (uint8_t *)&val);
			Unicode::snprintf(AI5TABuffer, AI5TA_SIZE, "%d", val);
			AI5TA.invalidate();
		}
	}
	//if (6 == key_position)
	{
		if(CI_INPUT_CURRENT == input6_type)
		{
			val = 0;
			Get_DL(CFG_INPUT_06_CURRENT , (uint8_t *)&val);
			Unicode::snprintf(AI6TABuffer, AI6TA_SIZE, "%d", val);
			AI6TA.invalidate();
		}
		else
		if(CI_INPUT_VOLTAGE_LOW_6V == input6_type)
		{
			val = 0;
			Get_DL(CFG_INPUT_06_VOLTAGE_LOW_6V , (uint8_t *)&val);
			Unicode::snprintf(AI6TABuffer, AI6TA_SIZE, "%d", val);
			AI6TA.invalidate();
		}

		else
		if(CI_INPUT_RESISTANCE == input6_type)
		{
			val = 0;
			Get_DL(CFG_INPUT_06_RESISTANCE , (uint8_t *)&val);
			Unicode::snprintf(AI6TABuffer, AI6TA_SIZE, "%d", val);
			AI6TA.invalidate();
		}

		else
		if(CI_DIGITAL_STG == input6_type)
		{
			val = 0;
			Get_DL(CFG_INPUT_06_DIGITAL_STG , (uint8_t *)&val);
			Unicode::snprintf(AI6TABuffer, AI6TA_SIZE, "%d", val);
			AI6TA.invalidate();
		}

		else
		if(CI_DIGITAL_STB == input6_type)
		{
			val = 0;
			Get_DL(CFG_INPUT_06_DIGITAL_STB , (uint8_t *)&val);
			Unicode::snprintf(AI6TABuffer, AI6TA_SIZE, "%d", val);
			AI6TA.invalidate();
		}
	}

	Get_DL(CFG_INPUT_01_DIGITAL_STB , (uint8_t *)&STB_val);
	Get_DL(CFG_INPUT_01_DIGITAL_STG , (uint8_t *)&STG_val);

	if((STB_val == 0) && (STG_val == 1))
	{
#if (SDK_SERVICE_CAMERA == PS_ENABLE)
		StopStreaming();
#endif
	}
#endif
}

void CIView::watchdogstatus(uint8_t *val)
{
	*val = 0;
}
