#include <gui/redsta_screen/REDSTAView.hpp>
#include "../../../../Core/Maximatecc/user_modify_files/User_Define.h"

REDSTAView::REDSTAView()
{
#if (SDK_SERVICE_LED == PS_ENABLE)

#if(CONF_RED_LED_PS_STATE == PS_ENABLE)
	/* Get the RED LED Status from the DB */
	Get_DL(LED_RED_STATE, &state);
	if (LED_ON == state)
	{
		Unicode::snprintf(REDONBuffer, REDON_SIZE, "ON");
	}
	else
		Unicode::snprintf(REDONBuffer, REDON_SIZE, "OFF");

	REDON.invalidate();
#endif

#endif
}

void REDSTAView::trigger()
{

}

void REDSTAView::setupScreen()
{
    REDSTAViewBase::setupScreen();
}

void REDSTAView::tearDownScreen()
{
    REDSTAViewBase::tearDownScreen();
}

void REDSTAView::keyUpdate(uint8_t val)
{
#if (SDK_SERVICE_LED == PS_ENABLE)

	if((KEY1_SHORT_PRESS == val) || (KEY1_LONG_PRESS == val))
	{
#if(CONF_RED_LED_PS_STATE == PS_ENABLE)
        if (LED_OFF == state)
        {
        	state = LED_ON;
    		/* Set the RED LED Status */
        	Set_DL(LED_RED_STATE, &state);
        	Unicode::snprintf(REDONBuffer, REDON_SIZE, "ON");
        }
        else
        {
        	state = LED_OFF;
    		/* Set the RED LED Status */
        	Set_DL(LED_RED_STATE, &state);
            Unicode::snprintf(REDONBuffer, REDON_SIZE, "OFF");
        }

        REDON.invalidate();
#endif
	}
	else
	if((KEY2_SHORT_PRESS == val) || (KEY2_LONG_PRESS == val))
	{


	}
	else
	if((KEY3_SHORT_PRESS == val) || (KEY3_LONG_PRESS == val))
	{


	}
	else
	if((KEY4_SHORT_PRESS == val) || (KEY4_LONG_PRESS == val))
	{
		application().gotoREDNXTScreenNoTransition();
	}
#endif
}

void REDSTAView::watchdogstatus(uint8_t *val)
{
	*val = 0;
}

