#include <gui/swtimer_screen/SWTIMERView.hpp>
#include <touchgfx/Color.hpp>
#include "../../../../Core/Maximatecc/user_modify_files/User_Define.h"

SWTIMERView::SWTIMERView()
{
	key_position = 1;

	/* Active the first button */
	TIMER1.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
	TIMER1.invalidate();
}

void SWTIMERView::setupScreen()
{
    SWTIMERViewBase::setupScreen();
}

void SWTIMERView::tearDownScreen()
{
    SWTIMERViewBase::tearDownScreen();
}

void SWTIMERView::trigger()
{

}

void SWTIMERView::keyUpdate(uint8_t val)
{
	if((KEY1_SHORT_PRESS == val) || (KEY1_LONG_PRESS == val))
	{
		key_position--;

		if (0 == key_position)
			key_position = 6;

		switch(key_position)
		{
		case 1:
			/* Select the Keypad button */
			TIMER1.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
			TIMER1.invalidate();

			/* DESelect the Keypad button */
			TIMER2.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
			TIMER2.invalidate();
			break;

		case 2:
			/* Select the Keypad button */
			TIMER2.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
			TIMER2.invalidate();

			/* DESelect the Keypad button */
			TIMER3.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
			TIMER3.invalidate();

			break;
		case 3:
			/* Select the Keypad button */
			TIMER3.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
			TIMER3.invalidate();

			/* DESelect the Keypad button */
			TIMER4.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
			TIMER4.invalidate();
			break;

		case 4:
			/* Select the Keypad button */
			TIMER4.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
			TIMER4.invalidate();

			/* DESelect the Keypad button */
			TIMER5.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
			TIMER5.invalidate();
			break;
		case 5:

			/* Select the Keypad button */
			TIMER5.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
			TIMER5.invalidate();

			/* DESelect the Keypad button */
			TIMER6.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
			TIMER6.invalidate();

			break;
		case 6:
			/* Select the Keypad button */
			TIMER6.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
			TIMER6.invalidate();

			/* DESelect the Keypad button */
			TIMER1.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
			TIMER1.invalidate();

			break;
		default:
			break;
		}

	}
	else if((KEY2_SHORT_PRESS == val) || (KEY2_LONG_PRESS == val))
	{
		key_position++;

		if (7 == key_position)
			key_position = 1;

		switch(key_position)
		{
		case 1:
			/* DESelect the Keypad button */
			TIMER6.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
			TIMER6.invalidate();

			/* Select the Keypad button */
			TIMER1.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
			TIMER1.invalidate();
			break;
		case 2:
			/* DESelect the Keypad button */
			TIMER1.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
			TIMER1.invalidate();

			/* Select the Keypad button */
			TIMER2.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
			TIMER2.invalidate();
			break;
		case 3:
			/* DESelect the Keypad button */
			TIMER2.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
			TIMER2.invalidate();

			/* Select the Keypad button */
			TIMER3.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
			TIMER3.invalidate();
			break;
		case 4:
			/* DESelect the Keypad button */
			TIMER3.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
			TIMER3.invalidate();

			/* Select the Keypad button */
			TIMER4.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
			TIMER4.invalidate();
			break;
		case 5:
			/* DESelect the Keypad button */
			TIMER4.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
			TIMER4.invalidate();

			/* Select the Keypad button */
			TIMER5.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
			TIMER5.invalidate();
			break;
		case 6:
			/* DESelect the Keypad button */
			TIMER5.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
			TIMER5.invalidate();

			/* Select the Keypad button */
			TIMER6.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
			TIMER6.invalidate();
			break;
		default:
			break;
		}
    }
	else if((KEY3_SHORT_PRESS == val) || (KEY3_LONG_PRESS == val))
	{
		switch(key_position)
		{
		case 1:
			application().gotoSWTIMER1ScreenNoTransition();
			break;

		case 2:
			application().gotoSWTIMER2ScreenNoTransition();
			break;

		case 3:
			application().gotoSWTIMER3ScreenNoTransition();
			break;

		case 4:
			application().gotoSWTIMER4ScreenNoTransition();
			break;

		case 5:
			application().gotoSWTIMER5ScreenNoTransition();
			break;

		case 6:
			application().gotoSWTIMER6ScreenNoTransition();
			break;
		default:
			break;
		}
    }

	else
	if((KEY4_SHORT_PRESS == val) || (KEY4_LONG_PRESS == val))
	{
		application().gotoIngtestScreenNoTransition();
	}

}


void SWTIMERView::watchdogstatus(uint8_t *val)
{
	*val = 0;
}

