#include <gui/thrput_screen/THRPUTView.hpp>
#include <touchgfx/Color.hpp>
#include "../../../../Core/Maximatecc/user_modify_files/User_Define.h"
THRPUTView::THRPUTView()
{
	key_position = 0;
	Count_val = 0;
}

void THRPUTView::setupScreen()
{
    THRPUTViewBase::setupScreen();
}

void THRPUTView::tearDownScreen()
{
    THRPUTViewBase::tearDownScreen();
}

void THRPUTView::trigger()
{
#if (THROUGH_PUT_SERVICE == PS_ENABLE)
	Count_val++;
	if( 50 <= Count_val)
	{
		Count_val = 0;
		throughput = 0;
		Get_DL(KEYPAD_ABSTIME, (uint8_t *)&throughput);
		Unicode::snprintf(KEY_ATIMEBuffer, KEY_ATIME_SIZE, "%d", throughput);
		KEY_ATIME.invalidate();
		throughput = 0;
		Get_DL(KEYPAD_PERTIME, (uint8_t *)&throughput);
		Unicode::snprintf(KEY_PTIMEBuffer, KEY_PTIME_SIZE, "%d", throughput);
		KEY_PTIME.invalidate();

		throughput = 0;
		Get_DL(DIO_ABSTIME, (uint8_t *)&throughput);
		Unicode::snprintf(DIO_ATIMEBuffer, DIO_ATIME_SIZE, "%d", throughput);
		DIO_ATIME.invalidate();
		throughput = 0;
		Get_DL(DIO_PERTIME, (uint8_t *)&throughput);
		Unicode::snprintf(DIO_PTIMEBuffer, DIO_PTIME_SIZE, "%d", throughput);
		DIO_PTIME.invalidate();

		throughput = 0;
		Get_DL(CI_ABSTIME, (uint8_t *)&throughput);
		Unicode::snprintf(CI_ATIMEBuffer, CI_ATIME_SIZE, "%d", throughput);
		CI_ATIME.invalidate();
		throughput = 0;
		Get_DL(CI_PERTIME, (uint8_t *)&throughput);
		Unicode::snprintf(CI_PTIMEBuffer, CI_PTIME_SIZE, "%d", throughput);
		CI_PTIME.invalidate();

		throughput = 0;
		Get_DL(POWERMODE_ABSTIME, (uint8_t *)&throughput);
		Unicode::snprintf(PM_ATIMEBuffer, PM_ATIME_SIZE, "%d", throughput);
		PM_ATIME.invalidate();
		throughput = 0;
		Get_DL(POWERMODE_PERTIME, (uint8_t *)&throughput);
		Unicode::snprintf(PM_PTIMEBuffer, PM_PTIME_SIZE, "%d", throughput);
		PM_PTIME.invalidate();

		throughput = 0;
		Get_DL(LIGHT_SENSOR_ABSTIME, (uint8_t *)&throughput);
		Unicode::snprintf(LS_ATIMEBuffer, LS_ATIME_SIZE, "%d", throughput);
		LS_ATIME.invalidate();
		throughput = 0;
		Get_DL(LIGHT_SENSOR_PERTIME, (uint8_t *)&throughput);
		Unicode::snprintf(LS_PTIMEBuffer, LS_PTIME_SIZE, "%d", throughput);
		LS_PTIME.invalidate();

		throughput = 0;
		Get_DL(WARNINGLIGHT_ABSTIME, (uint8_t *)&throughput);
		Unicode::snprintf(WL_ATIMEBuffer, WL_ATIME_SIZE, "%d", throughput);
		WL_ATIME.invalidate();
		throughput = 0;
		Get_DL(WARNINGLIGHT_PERTIME, (uint8_t *)&throughput);
		Unicode::snprintf(WL_PTIMEBuffer, WL_PTIME_SIZE, "%d", throughput);
		WL_PTIME.invalidate();

		throughput = 0;
		Get_DL(LED_ABSTIME, (uint8_t *)&throughput);
		Unicode::snprintf(LED_ATIMEBuffer, LED_ATIME_SIZE, "%d", throughput);
		LED_ATIME.invalidate();
		throughput = 0;
		Get_DL(LED_PERTIME, (uint8_t *)&throughput);
		Unicode::snprintf(LED_PTIMEBuffer, LED_PTIME_SIZE, "%d", throughput);
		LED_PTIME.invalidate();

		throughput = 0;
		Get_DL(POWER_MONITOR_ABSTIME, (uint8_t *)&throughput);
		Unicode::snprintf(PMT_ATIMEBuffer, PMT_ATIME_SIZE, "%d", throughput);
		PMT_ATIME.invalidate();
		throughput = 0;
		Get_DL(POWER_MONITOR_PERTIME, (uint8_t *)&throughput);
		Unicode::snprintf(PMT_PTIMEBuffer, PMT_PTIME_SIZE, "%d", throughput);
		PMT_PTIME.invalidate();

		throughput = 0;
		Get_DL(USB_ABSTIME, (uint8_t *)&throughput);
		Unicode::snprintf(USB_ATIMEBuffer, USB_ATIME_SIZE, "%d", throughput);
		USB_ATIME.invalidate();
		throughput = 0;
		Get_DL(USB_PERTIME, (uint8_t *)&throughput);
		Unicode::snprintf(USB_PTIMEBuffer, USB_PTIME_SIZE, "%d", throughput);
		USB_PTIME.invalidate();

		throughput = 0;
		Get_DL(DEFAULT_ABSTIME, (uint8_t *)&throughput);
		Unicode::snprintf(DEFAULT_ATIMEBuffer, DEFAULT_ATIME_SIZE, "%d", throughput);
		DEFAULT_ATIME.invalidate();
		throughput = 0;
		Get_DL(DEFAULT_PERTIME, (uint8_t *)&throughput);
		Unicode::snprintf(DEFAULT_PTIMEBuffer, DEFAULT_PTIME_SIZE, "%d", throughput);
		DEFAULT_PTIME.invalidate();

		throughput = 0;
		Get_DL(BLUETOOTH_ABSTIME, (uint8_t *)&throughput);
		Unicode::snprintf(BLE_ATIMEBuffer, BLE_ATIME_SIZE, "%d", throughput);
		BLE_ATIME.invalidate();
		throughput = 0;
		Get_DL(BLUETOOTH_PERTIME, (uint8_t *)&throughput);
		Unicode::snprintf(BLE_PTIMEBuffer, BLE_PTIME_SIZE, "%d", throughput);
		BLE_PTIME.invalidate();

		throughput = 0;
		Get_DL(RTC_ABSTIME, (uint8_t *)&throughput);
		Unicode::snprintf(RTC_ATIMEBuffer, RTC_ATIME_SIZE, "%d", throughput);
		RTC_ATIME.invalidate();
		throughput = 0;
		Get_DL(RTC_PERTIME, (uint8_t *)&throughput);
		Unicode::snprintf(RTC_PTIMEBuffer, RTC_PTIME_SIZE, "%d", throughput);
		RTC_PTIME.invalidate();

		throughput = 0;
		Get_DL(SW_TIMER_ABSTIME, (uint8_t *)&throughput);
		Unicode::snprintf(SWT_ATIMEBuffer, SWT_ATIME_SIZE, "%d", throughput);
		SWT_ATIME.invalidate();
		throughput = 0;
		Get_DL(SW_TIMER_PERTIME, (uint8_t *)&throughput);
		Unicode::snprintf(SWT_PTIMEBuffer, SWT_PTIME_SIZE, "%d", throughput);
		SWT_PTIME.invalidate();

		throughput = 0;
		Get_DL(CAMERA_ABSTIME, (uint8_t *)&throughput);
		Unicode::snprintf(CAM_ATIMEBuffer, CAM_ATIME_SIZE, "%d", throughput);
		CAM_ATIME.invalidate();
		throughput = 0;
		Get_DL(CAMERA_PERTIME, (uint8_t *)&throughput);
		Unicode::snprintf(CAM_PTIMEBuffer, CAM_PTIME_SIZE, "%d", throughput);
		CAM_PTIME.invalidate();

		throughput = 0;
		Get_DL(EEPROM_ABSTIME, (uint8_t *)&throughput);
		Unicode::snprintf(EEPR_ATIMEBuffer, EEPR_ATIME_SIZE, "%d", throughput);
		EEPR_ATIME.invalidate();
		throughput = 0;
		Get_DL(EEPROM_PERTIME, (uint8_t *)&throughput);
		Unicode::snprintf(EEPR_PTIMEBuffer, EEPR_PTIME_SIZE, "%d", throughput);
		EEPR_PTIME.invalidate();

		throughput = 0;
		Get_DL(WATCHDOG_ABSTIME, (uint8_t *)&throughput);
		Unicode::snprintf(WD_ATIMEBuffer, WD_ATIME_SIZE, "%d", throughput);
		WD_ATIME.invalidate();
		throughput = 0;
		Get_DL(WATCHDOG_PERTIME, (uint8_t *)&throughput);
		Unicode::snprintf(WD_PTIMEBuffer, WD_PTIME_SIZE, "%d", throughput);
		WD_PTIME.invalidate();

		throughput = 0;
		Get_DL(LCD_ABSTIME, (uint8_t *)&throughput);
		Unicode::snprintf(LCD_ATIMEBuffer, LCD_ATIME_SIZE, "%d", throughput);
		LCD_ATIME.invalidate();
		throughput = 0;
		Get_DL(LCD_PERTIME, (uint8_t *)&throughput);
		Unicode::snprintf(LCD_PTIMEBuffer, LCD_PTIME_SIZE, "%d", throughput);
		LCD_PTIME.invalidate();

		throughput = 0;
		Get_DL(CAN_ABSTIME, (uint8_t *)&throughput);
		Unicode::snprintf(CAN_ATIMEBuffer, CAN_ATIME_SIZE, "%d", throughput);
		CAN_ATIME.invalidate();
		throughput = 0;
		Get_DL(CAN_PERTIME, (uint8_t *)&throughput);
		Unicode::snprintf(CAN_PTIMEBuffer, CAN_PTIME_SIZE, "%d", throughput);
		CAN_PTIME.invalidate();

		throughput = 0;
		Get_DL(J1939_ABSTIME, (uint8_t *)&throughput);
		Unicode::snprintf(J1939_ATIMEBuffer, J1939_ATIME_SIZE, "%d", throughput);
		J1939_ATIME.invalidate();
		throughput = 0;
		Get_DL(J1939_PERTIME, (uint8_t *)&throughput);
		Unicode::snprintf(J1939_PTIMEBuffer, J1939_PTIME_SIZE, "%d", throughput);
		J1939_PTIME.invalidate();

		throughput = 0;
		Get_DL(TOUCHGFX_ABSTIME, (uint8_t *)&throughput);
		Unicode::snprintf(TOUCHGFX_ATIMEBuffer, TOUCHGFX_ATIME_SIZE, "%d", throughput);
		TOUCHGFX_ATIME.invalidate();
		throughput = 0;
		Get_DL(TOUCHGFX_PERTIME, (uint8_t *)&throughput);
		Unicode::snprintf(TOUCHGFX_PTIMEBuffer, TOUCHGFX_PTIME_SIZE, "%d", throughput);
		TOUCHGFX_PTIME.invalidate();
	}
#endif
}

void THRPUTView::keyUpdate(uint8_t val)
{

	if((KEY1_SHORT_PRESS == val) || (KEY1_LONG_PRESS == val))
	{

	}

	else
	if((KEY2_SHORT_PRESS == val))
	{


    }

	else
	if(KEY2_LONG_PRESS == val)
	{

	}

	else
	if((KEY3_SHORT_PRESS == val) || (KEY3_LONG_PRESS == val))
	{

	}

	else
	if((KEY4_SHORT_PRESS == val) || (KEY4_LONG_PRESS == val))
	{
		application().gotoIngtestScreenNoTransition();
	}


}

void THRPUTView::moveNextScreen()
{

}

void THRPUTView::moveBackScreen()
{

}
void THRPUTView::moveNext()
{
}
void THRPUTView::movePrevious()
{
}

void THRPUTView::watchdogstatus(uint8_t *val)
{
	*val = 0;
}
