#include <gui/usb_screen/USBView.hpp>
#include <touchgfx/Color.hpp>
#include "../../../../Core/Maximatecc/user_modify_files/User_Define.h"
Unicode::UnicodeChar buffer[64];
uint8_t rxbuffer[64];
Unicode::UnicodeChar trxbuffer[64];
char str[50];
USBView::USBView()
{
	key_position = 0;
}

void USBView::setupScreen()
{
    USBViewBase::setupScreen();
}

void USBView::tearDownScreen()
{
    USBViewBase::tearDownScreen();
}

void USBView::trigger()
{
#if (SDK_SERVICE_USB == PS_ENABLE)
	uint8_t status;

	/* Get the RX status */
	Get_DL(USB_RX_BUFFER_STATUS, &status);

	if(RX_MSG_PENDING == status)
	{

		/* Read the Rx data from the DB */
		Get_DL(USB_RX_DATA, (uint8_t *)&rxbuffer[0]);
		memset(&trxbuffer[0], 0x00, sizeof(trxbuffer));
		Unicode::strncpy(&trxbuffer[0], (const char*)&rxbuffer[0] ,
		strlen((const char*)rxbuffer));

		memset(RCVTEXTBuffer, 0x00, sizeof(RCVTEXTBuffer));
		Unicode::snprintf(RCVTEXTBuffer, RCVTEXT_SIZE, "%s", &trxbuffer[0]);
		RCVTEXT.invalidate();

		status = TRUE;
		/* Clear the RX buffer */
		Set_DL(USB_RX_STATUS, &status);
	}
#endif
}

void USBView::keyUpdate(uint8_t val)
{
#if (SDK_SERVICE_USB == PS_ENABLE)

	if((KEY1_SHORT_PRESS == val) || (KEY1_LONG_PRESS == val))
	{

	}

	else
	if((KEY2_SHORT_PRESS == val))
	{

		key_position++;

		const char str[] = "Test Application";
		const char str1[] = "Hello world";
		const char str2[] = "USB testing";
		const char str3[] = "send usb";

		if (5 == key_position)
			key_position = 1;

		switch(key_position)
		{
		case 1:

			/* Clear the buffer */
			memset(&buffer[0], 0x00, sizeof(buffer));
			Unicode::strncpy(buffer, str , strlen(str));
			Unicode::snprintf(SENDTXTBuffer, 20, "%s", buffer);
			SENDTXT.invalidate();
			break;

		case 2:

			/* Clear the buffer */
			memset(&buffer[0], 0x00, sizeof(buffer));
			Unicode::strncpy(buffer, str1 , strlen(str1));
			Unicode::snprintf(SENDTXTBuffer, 20, "%s", buffer);
			SENDTXT.invalidate();
		    break;

		case 3:

			/* Clear the buffer */
			memset(&buffer[0], 0x00, sizeof(buffer));
			Unicode::strncpy(buffer, str2 , strlen(str2));
			Unicode::snprintf(SENDTXTBuffer, 20, "%s", buffer);
			SENDTXT.invalidate();
			break;

		case 4:

			/* Clear the buffer */
			memset(&buffer[0], 0x00, sizeof(buffer));
			Unicode::strncpy(buffer, str3 , strlen(str3));
			Unicode::snprintf(SENDTXTBuffer, 20, "%s", buffer);
			SENDTXT.invalidate();
			break;

		default:
			 ;
		 break;

	   }

    }

	else
	if(KEY2_LONG_PRESS == val)
	{

	}

	if((KEY3_SHORT_PRESS == val) || (KEY3_LONG_PRESS == val))
	{
		application().gotoIngtestScreenNoTransition();
	}

	if((KEY4_SHORT_PRESS == val) || (KEY4_LONG_PRESS == val))
	{
		/*set the USB tx data */
		Set_DL(USB_TX_DATA , (uint8_t *)&buffer[0]);

	}
#endif
}

void USBView::moveNextScreen()
{

}

void USBView::moveBackScreen()
{

}

void USBView::moveNext()
{

}

void USBView::movePrevious()
{

}

void USBView::watchdogstatus(uint8_t *val)
{
	*val = 0;
}
