#include <gui/warninglight_screen/WarningLightView.hpp>
#include <touchgfx/Color.hpp>
#include "../../../../Core/Maximatecc/user_modify_files/User_Define.h"

WarningLightView::WarningLightView()
{

	key_position = 1;
	/* Active the first button */
	WLTA01.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
	WLTA01.invalidate();
}

void WarningLightView::trigger()
{

}

void WarningLightView::setupScreen()
{
    WarningLightViewBase::setupScreen();
}

void WarningLightView::tearDownScreen()
{
    WarningLightViewBase::tearDownScreen();
}

void WarningLightView::keyUpdate(uint8_t val)
{
	if((KEY1_SHORT_PRESS == val) || (KEY1_LONG_PRESS == val))
		movePrevious();
	else
	if((KEY2_SHORT_PRESS == val) || (KEY2_LONG_PRESS == val))
		moveNext();
	else
	if((KEY3_SHORT_PRESS == val) || (KEY3_LONG_PRESS == val))
		moveNextScreen();
	else
	if((KEY4_SHORT_PRESS == val) || (KEY4_LONG_PRESS == val))
		moveBackScreen();

}

void WarningLightView::moveNextScreen()
{

	uint32_t position = key_position;

	switch (position)
	{
	case 1:
		application().gotoWL01NXTScreenNoTransition();
	    break;
	case 2:
		application().gotoWL02NXTScreenNoTransition();
	    break;
	case 3:
		application().gotoWL03NXTScreenNoTransition();
		break;
	case 4:
		application().gotoWL04NXTScreenNoTransition();
		break;
	case 5:
		application().gotoWL05NXTScreenNoTransition();
		break;
	case 6:
		application().gotoWL06NXTScreenNoTransition();
		break;
	case 7:
		application().gotoWL07NXTScreenNoTransition();
		break;
	case 8:
		application().gotoWL08NXTScreenNoTransition();
		break;
	case 9:
		application().gotoWL09NXTScreenNoTransition();
		break;
	case 10:
		application().gotoWL10NXTScreenNoTransition();
		break;
	case 11:
		application().gotoWL11NXTScreenNoTransition();
		break;
	case 12:
		application().gotoWL12NXTScreenNoTransition();
		break;
	case 13:
		application().gotoWL13NXTScreenNoTransition();
		break;
	case 14:
		application().gotoWL14NXTScreenNoTransition();
		break;
	case 15:
		application().gotoWL15NXTScreenNoTransition();
		break;
	case 16:
		application().gotoWL16NXTScreenNoTransition();
		break;
	case 17:
		application().gotoWL17NXTScreenNoTransition();
		break;
	case 18:
		application().gotoWL18NXTScreenNoTransition();
		break;
	case 19:
		application().gotoWL19NXTScreenNoTransition();
		break;
	case 20:
		application().gotoWL20NXTScreenNoTransition();
		break;
	default :
		;
		//do nothing;
	}

}

void WarningLightView::moveBackScreen()
{
	application().gotoIngtestScreenNoTransition();
}
void WarningLightView::moveNext()
{
	key_position++;

	if (21 == key_position)
		key_position = 1;

	switch(key_position)
	{
	case 1:
		/* DESelect the Keypad button */
		WLTA20.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
		WLTA20.invalidate();

		/* Select the Keypad button */
		WLTA01.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
		WLTA01.invalidate();
		break;
	case 2:
		/* DESelect the Keypad button */
		WLTA01.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
		WLTA01.invalidate();

		/* Select the Keypad button */
		WLTA02.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
		WLTA02.invalidate();
		break;
	case 3:
		/* DESelect the Keypad button */
		WLTA02.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
		WLTA02.invalidate();

		/* Select the Keypad button */
		WLTA03.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
		WLTA03.invalidate();
		break;
	case 4:
		/* DESelect the Keypad button */
		WLTA03.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
		WLTA03.invalidate();

		/* Select the Keypad button */
		WLTA04.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
		WLTA04.invalidate();
		break;
	case 5:
		/* DESelect the Keypad button */
		WLTA04.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
		WLTA04.invalidate();

		/* Select the Keypad button */
		WLTA05.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
		WLTA05.invalidate();
		break;
	case 6:
		/* DESelect the Keypad button */
		WLTA05.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
		WLTA05.invalidate();

		/* Select the Keypad button */
		WLTA06.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
		WLTA06.invalidate();
		break;
	case 7:
		/* DESelect the Keypad button */
		WLTA06.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
		WLTA06.invalidate();

		/* Select the Keypad button */
		WLTA07.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
		WLTA07.invalidate();
		break;
	case 8:
		/* DESelect the Keypad button */
		WLTA07.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
		WLTA07.invalidate();

		/* Select the Keypad button */
		WLTA08.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
		WLTA08.invalidate();
		break;
	case 9:
		/* DESelect the Keypad button */
		WLTA08.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
		WLTA08.invalidate();

		/* Select the Keypad button */
		WLTA09.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
		WLTA09.invalidate();
		break;
	case 10:
		/* DESelect the Keypad button */
		WLTA09.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
		WLTA09.invalidate();

		/* Select the Keypad button */
		WLTA10.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
		WLTA10.invalidate();
		break;
	case 11:
		/* DESelect the Keypad button */
		WLTA10.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
		WLTA10.invalidate();

		/* Select the Keypad button */
		WLTA11.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
		WLTA11.invalidate();
		break;
	case 12:
		/* DESelect the Keypad button */
		WLTA11.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
		WLTA11.invalidate();

		/* Select the Keypad button */
		WLTA12.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
		WLTA12.invalidate();
		break;
	case 13:
		/* DESelect the Keypad button */
		WLTA12.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
		WLTA12.invalidate();

		/* Select the Keypad button */
		WLTA13.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
		WLTA13.invalidate();
		break;
	case 14:
		/* DESelect the Keypad button */
		WLTA13.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
		WLTA13.invalidate();

		/* Select the Keypad button */
		WLTA14.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
		WLTA14.invalidate();
		break;
	case 15:
		/* DESelect the Keypad button */
		WLTA14.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
		WLTA14.invalidate();

		/* Select the Keypad button */
		WLTA15.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
		WLTA15.invalidate();
		break;
	case 16:
		/* DESelect the Keypad button */
		WLTA15.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
		WLTA15.invalidate();

		/* Select the Keypad button */
		WLTA16.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
		WLTA16.invalidate();
		break;
	case 17:
		/* DESelect the Keypad button */
		WLTA16.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
		WLTA16.invalidate();

		/* Select the Keypad button */
		WLTA17.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
		WLTA17.invalidate();
		break;
	case 18:
		/* DESelect the Keypad button */
		WLTA17.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
		WLTA17.invalidate();

		/* Select the Keypad button */
		WLTA18.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
		WLTA18.invalidate();
		break;
	case 19:
		/* DESelect the Keypad button */
		WLTA18.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
		WLTA18.invalidate();

		/* Select the Keypad button */
		WLTA19.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
		WLTA19.invalidate();
		break;
	case 20:
		/* DESelect the Keypad button */
		WLTA19.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
		WLTA19.invalidate();

		/* Select the Keypad button */
		WLTA20.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
		WLTA20.invalidate();
		break;
	}
}

void WarningLightView::movePrevious()
{
	key_position--;

	if (0 == key_position)
		key_position = 20;


	switch(key_position)
	{
	case 1:
		/* DESelect the Keypad button */
		WLTA02.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
		WLTA02.invalidate();

		/* Select the Keypad button */
		WLTA01.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
		WLTA01.invalidate();
		break;
	case 2:
		/* DESelect the Keypad button */
		WLTA03.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
		WLTA03.invalidate();

		/* Select the Keypad button */
		WLTA02.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
		WLTA02.invalidate();
		break;
	case 3:
		/* DESelect the Keypad button */
		WLTA04.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
		WLTA04.invalidate();

		/* Select the Keypad button */
		WLTA03.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
		WLTA03.invalidate();
		break;
	case 4:
		/* DESelect the Keypad button */
		WLTA05.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
		WLTA05.invalidate();

		/* Select the Keypad button */
		WLTA04.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
		WLTA04.invalidate();
		break;
	case 5:
		/* DESelect the Keypad button */
		WLTA06.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
		WLTA06.invalidate();

		/* Select the Keypad button */
		WLTA05.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
		WLTA05.invalidate();
		break;
	case 6:
		/* DESelect the Keypad button */
		WLTA07.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
		WLTA07.invalidate();

		/* Select the Keypad button */
		WLTA06.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
		WLTA06.invalidate();
		break;
	case 7:
		/* DESelect the Keypad button */
		WLTA08.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
		WLTA08.invalidate();

		/* Select the Keypad button */
		WLTA07.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
		WLTA07.invalidate();
		break;
	case 8:
		/* DESelect the Keypad button */
		WLTA09.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
		WLTA09.invalidate();

		/* Select the Keypad button */
		WLTA08.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
		WLTA08.invalidate();
		break;
	case 9:
		/* DESelect the Keypad button */
		WLTA10.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
		WLTA10.invalidate();

		/* Select the Keypad button */
		WLTA09.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
		WLTA09.invalidate();
		break;
	case 10:
		/* DESelect the Keypad button */
		WLTA11.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
		WLTA11.invalidate();

		/* Select the Keypad button */
		WLTA10.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
		WLTA10.invalidate();
		break;
	case 11:
		/* DESelect the Keypad button */
		WLTA12.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
		WLTA12.invalidate();

		/* Select the Keypad button */
		WLTA11.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
		WLTA11.invalidate();
		break;
	case 12:
		/* DESelect the Keypad button */
		WLTA13.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
		WLTA13.invalidate();

		/* Select the Keypad button */
		WLTA12.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
		WLTA12.invalidate();
		break;
	case 13:
		/* DESelect the Keypad button */
		WLTA14.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
		WLTA14.invalidate();

		/* Select the Keypad button */
		WLTA13.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
		WLTA13.invalidate();
		break;
	case 14:
		/* DESelect the Keypad button */
		WLTA15.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
		WLTA15.invalidate();

		/* Select the Keypad button */
		WLTA14.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
		WLTA14.invalidate();
		break;
	case 15:
		/* DESelect the Keypad button */
		WLTA16.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
		WLTA16.invalidate();

		/* Select the Keypad button */
		WLTA15.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
		WLTA15.invalidate();
		break;
	case 16:
		/* DESelect the Keypad button */
		WLTA17.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
		WLTA17.invalidate();

		/* Select the Keypad button */
		WLTA16.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
		WLTA16.invalidate();
		break;
	case 17:
		/* DESelect the Keypad button */
		WLTA18.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
		WLTA18.invalidate();

		/* Select the Keypad button */
		WLTA17.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
		WLTA17.invalidate();
		break;
	case 18:
		/* DESelect the Keypad button */
		WLTA19.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
		WLTA19.invalidate();

		/* Select the Keypad button */
		WLTA18.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
		WLTA18.invalidate();
		break;
	case 19:
		/* DESelect the Keypad button */
		WLTA20.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
		WLTA20.invalidate();

		/* Select the Keypad button */
		WLTA19.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
		WLTA19.invalidate();
		break;
	case 20:
		/* DESelect the Keypad button */
		WLTA01.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
		WLTA01.invalidate();

		/* Select the Keypad button */
		WLTA20.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
		WLTA20.invalidate();

		break;

	}
}

void WarningLightView::watchdogstatus(uint8_t *val)
{
	*val = 0;
}
