#include <gui/wl02nxt_screen/WL02NXTView.hpp>
#include <touchgfx/Color.hpp>
#include "../../../../Core/Maximatecc/user_modify_files/User_Define.h"

WL02NXTView::WL02NXTView()
{
	key_position = 1;
	/* Active the first button */
	ONOFFWL02.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
	ONOFFWL02.invalidate();
}

void WL02NXTView::trigger()
{

}

void WL02NXTView::setupScreen()
{
    WL02NXTViewBase::setupScreen();
}

void WL02NXTView::tearDownScreen()
{
    WL02NXTViewBase::tearDownScreen();
}

void WL02NXTView::keyUpdate(uint8_t val)
{
	if((KEY1_SHORT_PRESS == val) || (KEY1_LONG_PRESS == val))
		movePrevious();
	else
	if((KEY2_SHORT_PRESS == val) || (KEY2_LONG_PRESS == val))
		moveNext();
	else
	if((KEY3_SHORT_PRESS == val) || (KEY3_LONG_PRESS == val))
		moveNextScreen();
	else
	if((KEY4_SHORT_PRESS == val) || (KEY4_LONG_PRESS == val))
		moveBackScreen();

}

void WL02NXTView::moveNextScreen()
{
	switch(key_position)
	{
	case 1:
		application().gotoWLS02ScreenNoTransition();
		break;

	case 2:
		application().gotoWL02BLINKScreenNoTransition();
		break;

	default:
		break;

	}
}

void WL02NXTView::moveBackScreen()
{
	application().gotoWarningLightScreenNoTransition();
}
void WL02NXTView::moveNext()
{
	key_position++;

		if (3 == key_position)
			key_position = 1;

		switch(key_position)
		{
		case 1:
			/* DESelect the Keypad button */
			BLINKWL02.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
			BLINKWL02.invalidate();

			/* Select the Keypad button */
			ONOFFWL02.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
			ONOFFWL02.invalidate();
			break;
		case 2:
			/* DESelect the Keypad button */
			ONOFFWL02.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
			ONOFFWL02.invalidate();

			/* Select the Keypad button */
			BLINKWL02.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
			BLINKWL02.invalidate();
			break;
		default:
				break;
		}

}
void WL02NXTView::movePrevious()
{
	key_position--;

		if (0 == key_position)
			key_position = 2;

		switch(key_position)
		{
		case 1:
			/* DESelect the Keypad button */
			ONOFFWL02.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
			ONOFFWL02.invalidate();

			/* Select the Keypad button */
			BLINKWL02.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
			BLINKWL02.invalidate();
			break;
		case 2:
			/* DESelect the Keypad button */
			BLINKWL02.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
			BLINKWL02.invalidate();

			/* Select the Keypad button */
			ONOFFWL02.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
			ONOFFWL02.invalidate();
			break;
		default:
				break;
		}
}


void WL02NXTView::watchdogstatus(uint8_t *val)
{
	*val = 0;
}
