#include <gui/wl05nxt_screen/WL05NXTView.hpp>
#include <touchgfx/Color.hpp>
#include "../../../../Core/Maximatecc/user_modify_files/User_Define.h"

WL05NXTView::WL05NXTView()
{
	key_position = 1;
	/* Active the first button */
	ONOFFWL05.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
	ONOFFWL05.invalidate();
}

void WL05NXTView::trigger()
{

}

void WL05NXTView::setupScreen()
{
    WL05NXTViewBase::setupScreen();
}

void WL05NXTView::tearDownScreen()
{
    WL05NXTViewBase::tearDownScreen();
}

void WL05NXTView::keyUpdate(uint8_t val)
{
	if((KEY1_SHORT_PRESS == val) || (KEY1_LONG_PRESS == val))
		movePrevious();
	else
	if((KEY2_SHORT_PRESS == val) || (KEY2_LONG_PRESS == val))
		moveNext();
	else
	if((KEY3_SHORT_PRESS == val) || (KEY3_LONG_PRESS == val))
		moveNextScreen();
	else
	if((KEY4_SHORT_PRESS == val) || (KEY4_LONG_PRESS == val))
		moveBackScreen();

}


void WL05NXTView::moveNextScreen()
{
	switch(key_position)
	{
	case 1:
		application().gotoWLS05ScreenNoTransition();
		break;

	case 2:
		application().gotoWL05BLINKScreenNoTransition();
		break;

	default:
		break;

	}
}

void WL05NXTView::moveBackScreen()
{
	application().gotoWarningLightScreenNoTransition();
}
void WL05NXTView::moveNext()
{
	key_position++;

		if (3 == key_position)
			key_position = 1;

		switch(key_position)
		{
		case 1:
			/* DESelect the Keypad button */
			BLINKWL05.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
			BLINKWL05.invalidate();

			/* Select the Keypad button */
			ONOFFWL05.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
			ONOFFWL05.invalidate();
			break;
		case 2:
			/* DESelect the Keypad button */
			ONOFFWL05.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
			ONOFFWL05.invalidate();

			/* Select the Keypad button */
			BLINKWL05.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
			BLINKWL05.invalidate();
			break;
		default:
				break;
		}

}
void WL05NXTView::movePrevious()
{
	key_position--;

		if (0 == key_position)
			key_position = 2;

		switch(key_position)
		{
		case 1:
			/* DESelect the Keypad button */
			ONOFFWL05.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
			ONOFFWL05.invalidate();

			/* Select the Keypad button */
			BLINKWL05.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
			BLINKWL05.invalidate();
			break;
		case 2:
			/* DESelect the Keypad button */
			BLINKWL05.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
			BLINKWL05.invalidate();

			/* Select the Keypad button */
			ONOFFWL05.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
			ONOFFWL05.invalidate();
			break;
		default:
				break;
		}
}




void WL05NXTView::watchdogstatus(uint8_t *val)
{
	*val = 0;
}
