#include <gui/wl15nxt_screen/WL15NXTView.hpp>
#include <touchgfx/Color.hpp>
#include "../../../../Core/Maximatecc/user_modify_files/User_Define.h"

WL15NXTView::WL15NXTView()
{
	key_position = 1;
	/* Active the first button */
	ONOFFWL15.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
	ONOFFWL15.invalidate();
}

void WL15NXTView::trigger()
{

}


void WL15NXTView::setupScreen()
{
    WL15NXTViewBase::setupScreen();
}

void WL15NXTView::tearDownScreen()
{
    WL15NXTViewBase::tearDownScreen();
}

void WL15NXTView::keyUpdate(uint8_t val)
{
	if((KEY1_SHORT_PRESS == val) || (KEY1_LONG_PRESS == val))
		movePrevious();
	else
	if((KEY2_SHORT_PRESS == val) || (KEY2_LONG_PRESS == val))
		moveNext();
	else
	if((KEY3_SHORT_PRESS == val) || (KEY3_LONG_PRESS == val))
		moveNextScreen();
	else
	if((KEY4_SHORT_PRESS == val) || (KEY4_LONG_PRESS == val))
		moveBackScreen();

}


void WL15NXTView::moveNextScreen()
{
	switch(key_position)
	{
	case 1:
		application().gotoWLS15ScreenNoTransition();
		break;

	case 2:
		application().gotoWL15BLINKScreenNoTransition();
		break;

	default:
		break;

	}
}

void WL15NXTView::moveBackScreen()
{
	application().gotoWarningLightScreenNoTransition();
}
void WL15NXTView::moveNext()
{
	key_position++;

		if (3 == key_position)
			key_position = 1;

		switch(key_position)
		{
		case 1:
			/* DESelect the Keypad button */
			BLINKWL15.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
			BLINKWL15.invalidate();

			/* Select the Keypad button */
			ONOFFWL15.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
			ONOFFWL15.invalidate();
			break;
		case 2:
			/* DESelect the Keypad button */
			ONOFFWL15.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
			ONOFFWL15.invalidate();

			/* Select the Keypad button */
			BLINKWL15.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
			BLINKWL15.invalidate();
			break;
		default:
				break;
		}

}
void WL15NXTView::movePrevious()
{
	key_position--;

		if (0 == key_position)
			key_position = 2;

		switch(key_position)
		{
		case 1:
			/* DESelect the Keypad button */
			ONOFFWL15.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
			ONOFFWL15.invalidate();

			/* Select the Keypad button */
			BLINKWL15.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
			BLINKWL15.invalidate();
			break;
		case 2:
			/* DESelect the Keypad button */
			BLINKWL15.setColor(touchgfx::Color::getColorFromRGB(0, 0, 255));
			BLINKWL15.invalidate();

			/* Select the Keypad button */
			ONOFFWL15.setColor(touchgfx::Color::getColorFromRGB(255, 255, 255));
			ONOFFWL15.invalidate();
			break;
		default:
				break;
		}
}

void WL15NXTView::watchdogstatus(uint8_t *val)
{
	*val = 0;
}



